require({cache:{
'url:dojoe/datetime/templates/DateTimeBox.html':"<div class=\"DateTimeBox\">\n    <span data-dojo-attach-point=\"dateBoxNode\"><input type=\"text\" name=\"datetime\" data-dojo-attach-point=\"dateBox\" /></span>\n\t<span data-dojo-attach-point=\"timeBoxNode\"><input type=\"text\" name=\"datetime\" data-dojo-attach-point=\"timeBox\" /></span>\t\n</div>"}});
/*********************************************************** {COPYRIGHT-TOP} ***
* Licensed Materials - Property of IBM
* Tivoli Widget Library
*
* (C) Copyright IBM Corp. 2013.  All Rights Reserved.
*
* US Government Users Restricted Rights - Use, duplication, or
* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
************************************************************ {COPYRIGHT-END} **/
define("dojoe/datetime/DateTimeBox",[
    "dojo/_base/declare",
    "dijit/_WidgetBase",
    "dijit/_TemplatedMixin",
    "dojo/text!./templates/DateTimeBox.html",
	"dijit/form/TimeTextBox",
	"dijit/form/DateTextBox"
], function(declare, _WidgetBase, _TemplatedMixin, template, TimeTextBox, DateTextBox) {
 
    return declare("dojoe.datetime.DateTimeBox", [_WidgetBase, _TemplatedMixin], {
        templateString: template,
		value:null,
		dateConstraints: null,
		timeConstraints: null,
        
		constructor: function(args){
			if(args.value) this.value = args.value;
			if(args.dateConstraints) this.dateConstraints = args.dateConstraints;
			if(args.timeConstraints) this.timeConstraints = args.timeConstraints;
		},		
		
		postCreate: function() {
			this.inherited(arguments);
			if(this.dateConstraints){
				this.dateBox = DateTextBox({value: this.value, constraints: this.dateConstraints},this.dateBoxNode);						
			}else{
				this.dateBox = DateTextBox({value: this.value},this.dateBoxNode);
			}	
			if(this.timeConstraints){
				this.timeBox = TimeTextBox({value: this.value, constraints: this.timeConstraints},this.timeBoxNode);	
			}else{
				this.timeBox = TimeTextBox({value: this.value},this.timeBoxNode);			
			}	
		},

		// summary:
		//		Hook so get('value') 
		_getValueAttr: function() {		
			var value = this.dateBox.get('value');
			//console.log("_getValueAttr:value:"+value);
			var timeVal = this.timeBox.get('value');
			if(value){
				value.setHours(timeVal.getHours());
				value.setMinutes(timeVal.getMinutes());
				value.setSeconds(timeVal.getSeconds());
				this.value = value;
			}	
			return value;
		},

		// summary:
		//		Hook so set('value', ...)		
		_setValueAttr: function(value){
			if(value){
				this.value = value;
				//console.log("_setValueAttr:value:"+value);
				if(this.dateBox && this.dateBox.set) this.dateBox.set('value', value);
				if(this.timeBox && this.timeBox.set) this.timeBox.set('value', value);
			}	
		}		
    }); 
});