require({cache:{
'url:dojoe/ssd/quickedit/templates/GridOptions.html':"<div class=\"gridOptions\" style=\"height:100%;width:100%;\"> \r\n\t<div class=\"tablelayout\">\r\n\t\t<table class=\"rows\">\r\n\t\t\t<tr>\r\n\t\t\t\t<td>\r\n\t\t\t\t\t<div data-dojo-attach-point=\"listBuilderContainer\" class=\"listBuilder\"></div>\r\n\t\t\t\t</td> \r\n\t\t\t</tr>\r\n\t\t\t<tr>\r\n\t\t\t\t<td>\r\n\t\t\t\t\t<b>${nls.ROWSELECTION}:</b><br/>\r\n\t\t\t\t\t&emsp;&emsp;<input id=\"singleSelectBox\" data-dojo-attach-point=\"singleSelectContainer\"/> <label for=\"singleSelectBox\">${nls.SINGLE}</label> \r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t&emsp;&emsp;<input id=\"noneSelectBox\" data-dojo-attach-point=\"noneSelectContainer\"/> <label for=\"noneSelectBox\">${nls.NONE}</label>\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<br/>\r\n\t\t\t\t\t<!-- 59978: Table/TreeTable - disable as indirect selection right click behavior doesn't confirm with OneUI Guidelines -->\r\n\t\t\t\t\t<div style=\"display:none\">\r\n\t\t\t\t\t\t<b>${nls.ROWSELECTIONTYPE}:</b><br/>\r\n\t\t\t\t\t\t&emsp;&emsp;<input id=\"directBox\" data-dojo-attach-point=\"directContainer\"/> <label for=\"directBox\">${nls.DIRECT}</label> \r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t\t&emsp;&emsp;<input id=\"indirectBox\" data-dojo-attach-point=\"indirectContainer\"/> <label for=\"indirectBox\">${nls.INDIRECT}</label> </td> \r\n\t\t\t\t\t\t<br/>\r\n\t\t\t\t\t</div>\t\r\n\t\t\t\t</td>\r\n\t\t\t</tr>\r\n\t\t\t<tr data-dojo-attach-point=\"filterDiv\">\r\n\t\t\t\t<td>\r\n\t\t\t\t\t<input id=\"enableAdvancedFilter\" data-dojo-attach-point=\"filterContainer\"/> <label for=\"enableAdvancedFilter\">${nls.ENABLE_FILTER}</label> \r\n\t\t\t\t</td> \r\n\t\t\t</tr>\r\n\t\t\t<!--<tr style=\"display:none\">\r\n\t\t\t\t<td><input id=\"refreshBox\" data-dojo-attach-point=\"refreshContainer\"/> <label for=\"refreshBox\">${nls.REFRESH}</label> </td> \r\n\t\t\t</tr> -->\r\n\t\t\t<tr>\r\n\t\t\t\t<td>\r\n\t\t\t\t\t<input id=\"persistSettings\" data-dojo-attach-point=\"persistSettinsNode\"/> <label for=\"persistSettings\">${nls.PERSIST_SETTINGS_TITLE}</label>\t\t\r\n\t\t\t\t</td>\r\n\t\t\t</tr>\t\r\n\t\t\t<tr data-dojo-attach-point=\"richHoverDiv\">\r\n\t\t\t\t<td>\r\n\t\t\t\t\t<input id=\"enableRichHover\" data-dojo-attach-point=\"richHoverContainer\"/> <label for=\"enableRichHover\">${nls.ENABLE_RICH_HOVER}</label> \r\n\t\t\t\t</td> \r\n\t\t\t</tr>\t\t\r\n\t\t</table>\r\n\t</div>\r\n</div>\t"}});
/*********************************************************** {COPYRIGHT-TOP} ***
* Licensed Materials - Property of IBM
* Tivoli Widget Library
*
* (C) Copyright IBM Corp. 2013.  All Rights Reserved.
*
* US Government Users Restricted Rights - Use, duplication, or
* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
************************************************************ {COPYRIGHT-END} **/
define("dojoe/ssd/quickedit/GridOptions", [
	"dojo/_base/declare",
	"dijit/_WidgetBase",
	"dijit/_TemplatedMixin",
	"dojo/text!./templates/GridOptions.html",
	"dojo/i18n!./nls/GridOptions",
	"dijit/form/RadioButton",
	"dijit/form/CheckBox",
	"dojo/_base/json",
	"dojo/_base/array",
	"dojoe/messagedialog/MessageDialog",
	"dojo/dom-style",
	"ibm/tivoli/tip/dijit/ListBuilder"
	], function (declare, _WidgetBase, _TemplatedMixin, template, nlsBundle, RadioButton, CheckBox, dojo, dojoArray, MessageDialog, domStyle, ListBuilder) {
	
	  return declare("dojoe.ssd.quickedit.GridOptions", [_WidgetBase, _TemplatedMixin], {
	 
		templateString: template,
		nls: nlsBundle,
		widgetsInTemplate: true,
		_datasetColumns: null,
		_datasetCurrentColumns: null,
		_statefulRefreshWidget: true,
		_advancedFilter : false,
		_oslcResourceURI: false,  // 67285
		
		constructor: function (args) {
			console.debug("In GridOptions Constructor");
			this._statefulRefreshWidget = args.enableStatefulRefresh;
			this._advancedFilter = args.enableAdvancedFilter;
		},
					
		postCreate:function () {
			console.debug("GridOptions PostCreate ");
			console.debug("dashletConfig ..");
			console.debug(dashletConfig);
		},
		_processDatasetColumns: function(columns) {
			console.debug("GridOptions._processDatasetColumns... BEGIN");
			this._datasetColumns = new Array();
						
			for (var i=0;i<columns.length;i++){
				//exclude hidden columns from dataset
				if(!columns[i].isHidden()) {
					// 62109: keep whole set of column attributes (and add field same as id)
					// this._datasetColumns.push({
					//	id: columns[i].getId(), 
					//	label: columns[i].getLabel(), 
					//	name: columns[i].getLabel(), 
					//	valueType: columns[i].getValueType(), 
					//	field: columns[i].getId()
					// });
					this._datasetColumns.push(columns[i].getAttributes());
					this._datasetColumns[this._datasetColumns.length - 1].field = columns[i].getId();
					// 62109: end changes
				}
				// 67285
				// Check if this column is the OslcResourceURI column that can support rich hover preview
				if(columns[i].getId() == "OslcResourceURI") {
					this._oslcResourceURI = true;				
				}
			}
			
			//sort the dataset columns
			this._datasetColumns.sort(function(a, b){
				if (a.label < b.label) //sort string ascending
					return -1;
				if (a.label > b.label)
					return 1;
				return 0; //default return value (no sorting)
			});
			
			console.debug("Dataset Attributes...");
			console.debug(this._datasetColumns);
			
			//this._initialize();	Bobby:13Nov2012, will be called by _processDatasetCurrentColumns				
			
			//54648: Communication error when trying to select a dataset to use for visualisation
			//Bobby: 24Jan2013, there seems to be a timing issue when this is executed parallely
			quickEdit.getDatasetCurrentColumns(this, "_processDatasetCurrentColumns");
			
			console.debug("GridOptions._processDatasetColumns... END");
		},	

		//Bobby:13Nov2012, Select only default columns by default, not all
		_processDatasetCurrentColumns: function(columns) {
			console.debug("GridOptions._processDatasetCurrentColumns... BEGIN");
			this._datasetCurrentColumns = new Array();
						
			for (var i=0;i<columns.length;i++){
				//exclude hidden columns from dataset
				if(!columns[i].isHidden()) {
					this._datasetCurrentColumns.push({
						id: columns[i].getId(), 
						label: columns[i].getLabel(), 
						name: columns[i].getLabel(), 
						valueType: columns[i].getValueType(), 
						field: columns[i].getId()
					});			
				}
			}
			
			//Bobby: 05Dec2012, sorting will reorder root node for TreeTable. So it should be done only for Table or None
			//sort the dataset columns
			/*this._datasetCurrentColumns.sort(function(a, b){
				if (a.label < b.label) //sort string ascending
					return -1;
				if (a.label > b.label)
					return 1;
				return 0; //default return value (no sorting)
			});*/			
			
			console.debug("Dataset Attributes...");
			console.debug(this._datasetCurrentColumns);
			
			this._initialize();					
			console.debug("GridOptions._processDatasetCurrentColumns... END");
		},			
		
		_initialize: function() {
		
			this.listBuilderWidget = new ListBuilder({id:"nameList", showAllButtons : true, filtered : true, 
														sorted : false, accept : "name", type:"name" ,
														leftLabel : this.nls.LEFTLABEL, rightLabel: this.nls.RIGHTLABEL});
			this.listBuilderContainer.appendChild(this.listBuilderWidget.domNode);
			this.listBuilderWidget.startup();
			
			this.directSelectRadio = new RadioButton({name: "selectiontype", value: "", checked: true, label: "Direct"}, this.directContainer);
			this.indirectSelectRadio = new RadioButton({name: "selectiontype", value: "", checked: false, label: "InDirect"}, this.indirectContainer);
			this.singleSelectRadio = new RadioButton({name: "selection", value: "", checked: true, label: "Single"}, this.singleSelectContainer);
			this.noneSelectRadio = new RadioButton({name: "selection", value: "", checked: false, label: "None"}, this.noneSelectContainer);			
			this.persistSettingsCheckBox = new CheckBox({name: "persistSettingsCheck", value: "persist", checked: true}, this.persistSettinsNode);
			if(this._advancedFilter) {
				this.filterCheckBox = new CheckBox({name: "filterCheck", value: "filter", checked: true, label: "FilterCheck"}, this.filterContainer);
			} else {
				//Bobby: 09Apr2013, changing to display none as blank space is left on the UI
				//domStyle.set(this.filterDiv,"visibility","hidden");
				domStyle.set(this.filterDiv,"display","none");
			}
			// 67285 Add check to see if we need to add rich hover checkbox
			if(this._oslcResourceURI) {
				this.richHoverCheckBox = new CheckBox({name: "richHoverCheck", value: "richHover", checked: false}, this.richHoverContainer);
			} else {
				// Since this dataset does not support rich hover, hide the row that would display the checkbox
				domStyle.set(this.richHoverDiv,"display","none");
			}
			
			console.info('_statefulRefreshWidget:'+this._statefulRefreshWidget);
			if(this._statefulRefreshWidget) {
				this.refreshCheckBox = new CheckBox({name: "refresh", value: "refresh", checked: false, label: "StatefulRefresh"}, this.refreshContainer);
			}
			
			var leftListData = new Array();
			var rightListData = new Array();
			if(dashletConfig.optionNameArr.length > 0) {
				for(var j=0;j<dashletConfig.optionNameArr.length;j++) {
					if(dashletConfig.optionNameArr[j] == "qe_optn_SelectedColumns") {
						console.debug("dashletConfig.optionValueArr[i] from Grid Options");
						console.debug(dashletConfig.optionValueArr[j]);
						var jsonObject = dojo.fromJson(dashletConfig.optionValueArr[j]);
						console.debug("jsonObject ....");
						console.debug(jsonObject);
						//13Nov2012, Bobby: dataset changed, ignore stored preferences
						if(!quickEdit.datasetChanged){
							for(var k=0;k<jsonObject.length;k++) {
								// Commenting this as decided by OID team to display all columns in QE for both table/treetable.
								/* if(this._statefulRefreshWidget) {
									if(jsonObject[k].label && jsonObject[k].label!= this._rootColumn.label) {
										rightListData.push(jsonObject[k].label);
									}
								} else {
									rightListData.push(jsonObject[k].label);
								} */
								rightListData.push(unescapeHTML(jsonObject[k].label));
							}
						}else{	
							for(var i=0;i<this._datasetCurrentColumns.length;i++) {
								rightListData.push(this._datasetCurrentColumns[i].label);	
							}
							//13Nov2012, Bobby: if no current Columns, add all columns instead of empty list
							if(rightListData.length == 0){
								for(var i=0;i<this._datasetColumns.length;i++) {
									rightListData.push(this._datasetColumns[i].label);	
								}								
							}
						}
						console.debug("right list data from if block");
						console.debug(rightListData);
						this.listBuilderWidget.addDataToRight(rightListData);
						for(var i=0;i<this._datasetColumns.length;i++) {
							// Commenting this as decided by OID team to display all columns in QE for both table/treetable.
							/* if(this._statefulRefreshWidget) {
								if((this._datasetColumns[i].label != this._rootColumn.label) && (dojoArray.indexOf(rightListData, this._datasetColumns[i].label) == -1)) {
									leftListData.push(this._datasetColumns[i].label);	
								}
							} else if(dojoArray.indexOf(rightListData, this._datasetColumns[i].label) == -1){
								leftListData.push(this._datasetColumns[i].label);	
							} */
							if(dojoArray.indexOf(rightListData, this._datasetColumns[i].label) == -1) {
								leftListData.push(this._datasetColumns[i].label);	
							}
						}
						console.debug("leftListData from if block...");
						console.debug(leftListData);
						this.listBuilderWidget.addData(leftListData);						
					} else if(dashletConfig.optionNameArr[j] == "qe_optn_DirectSelection") {
						if(dashletConfig.optionValueArr[j] && dashletConfig.optionValueArr[j]!= "")  {
								if(dashletConfig.optionValueArr[j] == "true") {
									this.directSelectRadio.set('checked', true);
									this.indirectSelectRadio.set('checked', false);
								} else {
									this.directSelectRadio.set('checked', false);
									this.indirectSelectRadio.set('checked', true);
								}
							}
					} else if(dashletConfig.optionNameArr[j] == "qe_optn_SingleSelection") {
						if(dashletConfig.optionValueArr[j] && dashletConfig.optionValueArr[j]!= "")  {
								if(dashletConfig.optionValueArr[j] == "true") {
									this.singleSelectRadio.set('checked', true);
									this.noneSelectRadio.set('checked', false);
								} else {
									this.singleSelectRadio.set('checked', false);
									this.noneSelectRadio.set('checked', true);
								}
						}
					} else if(dashletConfig.optionNameArr[j] == "qe_optn_StatefulRefresh") {
						if(this._statefulRefreshWidget) {
							if(dashletConfig.optionValueArr[j] && dashletConfig.optionValueArr[j]!= "")  {
								if(dashletConfig.optionValueArr[j] == "true") {
									this.refreshCheckBox.set('checked', true);
								} else {
									this.refreshCheckBox.set('checked', false);
								}
							}
						}
					} else if(dashletConfig.optionNameArr[j] == "qe_optn_FilterCheck") {
						if(this._advancedFilter) {
							if(dashletConfig.optionValueArr[j] && dashletConfig.optionValueArr[j]!= "")  {
								if(dashletConfig.optionValueArr[j] == "true") {
									this.filterCheckBox.set('checked', true);
								} else {
									this.filterCheckBox.set('checked', false);
								}
							}
						}
					} else if(dashletConfig.optionNameArr[j] == "qe_optn_persistSettingsCheck") {
						if(this._advancedFilter) {
							if(dashletConfig.optionValueArr[j] && dashletConfig.optionValueArr[j]!= "")  {
								if(dashletConfig.optionValueArr[j] == "true") {
									this.persistSettingsCheckBox.set('checked', true);
								} else {
									this.persistSettingsCheckBox.set('checked', false);
								}
							}
						}
					} //67644 
					else if(dashletConfig.optionNameArr[j] == "qe_optn_LaunchPage") {
						if(quickEdit.enablePageLaunch == true && quickEdit.dd.launchPageSelect) {
							console.debug(dashletConfig.optionValueArr[j]);
							var launchPageObject = dojo.fromJson(dashletConfig.optionValueArr[j]);
							quickEdit.dd.launchPageSelect.set('value',launchPageObject[0]);	
						}							
					} // 67285
					else if(dashletConfig.optionNameArr[j] == "qe_optn_richHoverCheck") {  
						if(this._oslcResourceURI) {
							if(dashletConfig.optionValueArr[j] && dashletConfig.optionValueArr[j]!= "")  {
								if(dashletConfig.optionValueArr[j] == "true") {
									this.richHoverCheckBox.set('checked', true);
								} else {
									this.richHoverCheckBox.set('checked', false);
								}
							}
						}
					}
				}				
			} else {
				//27Nov2012, Latha: 58768: TWL 1.1 : Table/Tree Table dashlet shows all column types in Selected Columns list by default
				for(var i=0;i<this._datasetCurrentColumns.length;i++) {
					rightListData.push(this._datasetCurrentColumns[i].label);	
				}
				// if no current Columns, add all columns instead of empty list
				if(rightListData.length == 0){
					for(var i=0;i<this._datasetColumns.length;i++) {
						rightListData.push(this._datasetColumns[i].label);				
					}
				}
				console.debug("rightListData from else block...");
				console.debug(rightListData);
				this.listBuilderWidget.addDataToRight(rightListData); 
				
				for(var i=0;i<this._datasetColumns.length;i++) {
					if(dojoArray.indexOf(rightListData, this._datasetColumns[i].label) == -1) {
						leftListData.push(this._datasetColumns[i].label);	
					}
				}
				console.debug("leftListData from else block...");
				console.debug(leftListData);
				this.listBuilderWidget.addData(leftListData);					
				}
			
		},	 
		
		createOptionsGrid: function () {
			console.debug("GridOptions.createOptionsGrid... BEGIN");	
			quickEdit.getDatasetColumns(this, "_processDatasetColumns");
			//54648: Communication error when trying to select a dataset to use for visualisation
			//Bobby: 24Jan2013, there seems to be a timing issue when this is executed parallely
			//getDatasetCurrentColumns finishes sometimes before getDatasetColumns!
			//quickEdit.getDatasetCurrentColumns(this, "_processDatasetCurrentColumns");			
			console.debug ("GridOptions.createOptionsGrid... END");				
		},	
		
		//This is expected out of any Custom Options widget
		//QuickEditController.js looks for this method to get current UI state when 'OK' is pressed
		//This value is stored in prefrences and View JSP retrieves from there
		
		getQuickEditOptionsString: function () {
			console.debug("radio button values ....");
			var columnsList = this.listBuilderWidget.attr('value');
			var columnDataArray = new Array();
			
			console.debug("columnsList");
			console.debug(columnsList);
			// Commenting this as decided by OID team to display all columns in QE for both table/treetable.
			/* if(this._statefulRefreshWidget) {
				if(this._rootColumn) {
					columnDataArray.push(this._rootColumn);
				}
			} */
			for(var i=0; i<columnsList.length; i++) {
					for(var j=0; j<this._datasetColumns.length; j++) {
						if(this._datasetColumns[j].label == columnsList[i]) {
							//61664: preTVT-French:TreeTable Visualization options: Corrupted strings
							this._datasetColumns[j].id = escapeHTML(this._datasetColumns[j].id);
							this._datasetColumns[j].label = escapeHTML(this._datasetColumns[j].label);
							this._datasetColumns[j].name = escapeHTML(this._datasetColumns[j].name);
							this._datasetColumns[j].field = escapeHTML(this._datasetColumns[j].field);
							columnDataArray.push(this._datasetColumns[j]);
						}
					}
			} 
			console.debug("columnDataArray");
			console.debug(columnDataArray);
				
			var jsonString = dojo.toJson(columnDataArray);
			console.debug("jsonString");
			console.debug(jsonString);
			
			var quoteString = jsonString.replace(/\"/g,'\'');
			console.debug("quoteString");
			console.debug(quoteString);
			
			
			var quickEditOptions="";	
			quickEditOptions = quickEditOptions + "&qe_optn_SelectedColumns="+ encodeURIComponent(quoteString);
			quickEditOptions = quickEditOptions + "&qe_optn_DirectSelection="+ this.directSelectRadio.get('checked');
			quickEditOptions = quickEditOptions + "&qe_optn_SingleSelection="+ this.singleSelectRadio.get('checked');
			if(this._advancedFilter) {
				quickEditOptions = quickEditOptions + "&qe_optn_FilterCheck="+ this.filterCheckBox.get('checked');
			}
			if(this._statefulRefreshWidget) {
				quickEditOptions = quickEditOptions + "&qe_optn_StatefulRefresh="+ this.refreshCheckBox.get('checked');
			}
			quickEditOptions = quickEditOptions + "&qe_optn_persistSettingsCheck="+ this.persistSettingsCheckBox.get('checked');
		
			//67644			
			if(quickEdit.enablePageLaunch == true && quickEdit.dd.launchPageSelect){
				var launchPageArray = new Array();
				launchPageArray.push(quickEdit.dd.launchPageSelect.get('value'));
				var launchPageString = dojo.toJson(launchPageArray).replace(/\"/g,'\'');
				quickEditOptions = quickEditOptions + "&qe_optn_LaunchPage="+ encodeURIComponent(launchPageString);	
			}
			
			// 67285
			if(this._oslcResourceURI) {
				quickEditOptions = quickEditOptions + "&qe_optn_richHoverCheck="+ this.richHoverCheckBox.get('checked');
			}
			
			console.debug("quickEditOptions : ");
			console.debug(quickEditOptions);

			return quickEditOptions;			
		},
		
		validate : function(){
			var columnsList = this.listBuilderWidget.attr('value');
			if(columnsList.length == 0) {
				var msgDialog = new MessageDialog({namespace: portletId+'_tsErrMsg', message: this.nls.MSGDIALOG_REQUIRED_COLUMN_SELECTION});
				msgDialog.show();
				return false;
			} 
			return true;
		},
		
		
		  
		destroy: function () {
			console.debug("grid options destroy");
			this.inherited(arguments);		
			if(this.directSelectRadio){
				if(this.directSelectRadio.destroyRecursive) this.directSelectRadio.destroyRecursive();
				else if (this.directSelectRadio.destroy) this.directSelectRadio.destroy();
			}
			if(this.indirectSelectRadio){
				if(this.indirectSelectRadio.destroyRecursive) this.indirectSelectRadio.destroyRecursive();
				else if (this.indirectSelectRadio.destroy) this.indirectSelectRadio.destroy();
			}
			if(this.singleSelectRadio){
				if(this.singleSelectRadio.destroyRecursive) this.singleSelectRadio.destroyRecursive();
				else if (this.singleSelectRadio.destroy) this.singleSelectRadio.destroy();
			}
			if(this.noneSelectRadio){
				if(this.noneSelectRadio.destroyRecursive) this.noneSelectRadio.destroyRecursive();
				else if (this.noneSelectRadio.destroy) this.noneSelectRadio.destroy();
			}
			if(this.refreshCheckBox){
				if(this.refreshCheckBox.destroyRecursive) this.refreshCheckBox.destroyRecursive();
				else if (this.refreshCheckBox.destroy) this.refreshCheckBox.destroy();
			}		
			if(this.filterCheckBox){
				if(this.filterCheckBox.destroyRecursive) this.filterCheckBox.destroyRecursive();
				else if (this.filterCheckBox.destroy) this.filterCheckBox.destroy();
			}
			if(this.persistSettingsCheckBox){
				if(this.persistSettingsCheckBox.destroyRecursive) this.persistSettingsCheckBox.destroyRecursive();
				else if (this.persistSettingsCheckBox.destroy) this.persistSettingsCheckBox.destroy();
			}
			// 67285
			if(this.richHoverCheckBox){
				if(this.richHoverCheckBox.destroyRecursive) this.richHoverCheckBox.destroyRecursive();
				else if (this.richHoverCheckBox.destroy) this.richHoverCheckBox.destroy();
			}
			if(this.listBuilderWidget){
				if(this.listBuilderWidget.destroyRecursive) {
					this.listBuilderWidget.destroyRecursive();
				} else if (this.listBuilderWidget.destroy) {
					this.listBuilderWidget.destroy();
				}
			}
			this.inherited(arguments);			
		}		
	});
	
});
