/*********************************************************** {COPYRIGHT-TOP} ***
* Licensed Materials - Property of IBM
* Tivoli Widget Library
*
* (C) Copyright IBM Corp. 2013.  All Rights Reserved.
*
* US Government Users Restricted Rights - Use, duplication, or
* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
************************************************************ {COPYRIGHT-END} **/
define("dojoe/ssd/quickedit/nls/de/GaugeOptions", {     
	"TOPLABEL":"Bezeichnung über Messanzeige",
	"LEFTLABEL":"Bezeichnung an Vorderkante",
	"INFORMATIONAL":"Information",
	"NORMAL":"Normal",
	"MINOR":"Unerheblich",
	"MAJOR":"Schwerwiegend",
	"CRITICAL":"Kritisch",
	"FATAL":"Fatal",
	"MINVALUE":"Mindestwert",
	"MAXVALUE":"Maximalwert",
	"MAJORTICKSSEPARATION":"Trennung der Hauptteilstriche",
	"MINORTICKSSEPARATION":"Trennung der untergeordneten Teilstriche",
	"UNIT":"Einheit",
	"SHOWTHRESHOLDSTRIP":"Streifen für Schwellenwerte anzeigen",
	"DESC_TOPLABEL":"Optionale Bezeichnung über der Messanzeige",
	"DESC_LEFTLABEL":"Optionale Bezeichnung an Vorderkante",
	"DESC_INFORMATIONAL":"Schwellenwert, der den Beginn des Status 'Information' angibt",
	"DESC_NORMAL": "Schwellenwert, der den Beginn des Status 'Normal' angibt",
	"DESC_MINOR":"Schwellenwert, der den Beginn des Status 'Unerheblich (Warnung)' angibt",
	"DESC_MAJOR":"Schwellenwert, der den Beginn des Status 'Schwerwiegend (Warnung)' angibt",
	"DESC_CRITICAL":"Schwellenwert, der den Beginn des Status 'Kritisch' angibt",
	"DESC_FATAL":"Schwellenwert, der den Beginn des Status 'Fatal' angibt",
	"DESC_MINVALUE":"Von der Messanzeige darstellbarer Mindestwert",
	"DESC_MAXVALUE":"Von der Messanzeige darstellbarer Maximalwert",
	"DESC_MAJORTICKSSEPARATION":"Abstand zwischen den einzelnen Hauptteilstrichen (grobe Skaleneinteilung) in der Messanzeige",
	"DESC_MINORTICKSSEPARATION":"Abstand zwischen den einzelnen untergeordneten Teilstrichen (feine Skaleneinteilung) in der Messanzeige",
	"DESC_UNIT":"Geben Sie einen Messwert für die Messanzeige ein.",
	"DESC_SHOWTHRESHOLDSTRIP":"Bei Inaktivierung wird der Schwellenbereich in der Messanzeige nicht angezeigt.",
	"VALUE":"Wert",
	"DESC_VALUE":"Numerischer Wert/Erwarteter Status",
	"MSGDIALOG_GAUGES_TICKS_INVALID_PARAMS":"Die Anzahl der Teilstriche darf nicht mehr als 100 betragen.",
	"MSGDIALOG_GAUGES_INVALID_RANGE":"Der Maximalwert muss größer sein als der Mindestwert.",
	"MSGDIALOG_GAUGES_GREATER_THAN_MAX":"Der Schwellenwert liegt nicht im Bereich zwischen Mindest- und Maximalwert.",
	"MSGDIALOG_GAUGES_INVALID_EXPONENT" : "Schwellenwert muss numerisch sein",
	"NONE": 'Keine',
	"NAME_UIPREVIEW": "UI-Voranzeigen aktivieren",
	"DESC_UIPREVIEW": "Hierdurch wird die Unterstützung für UI-Voranzeigeen für Open Services for Lifecycle Collaboration aktiviert"
//65433: lv locale with test data for TVT needs to be disabled
//"lv": true,
});

