require({cache:{
'url:dojoe/text/ssd/templates/QuickEdit.html':"<div class=\"twlssd\">\n\t<form method=\"post\" action=\"${formURL}\" id=\"${portletId}_editForm\">\n\t\t<div data-dojo-type=\"dijit/layout/BorderContainer\" data-dojo-props=\"design:'headline',gutters:false, liveSplitters:false\">\n\t\t\t<div data-dojo-type=\"dijit/layout/ContentPane\" data-dojo-props=\"region:'top'\">\n\t\t\t\t<table role=\"presentation\">\n\t\t\t\t\t<tr>\n\t\t\t\t\t\t<!--Richa 28Nov12 #58876 Accessibility issues -->\n\t\t\t\t\t\t<!--<td style=\"width:20%;\"><p class=\"label\">${_titleText}</p></td>-->\n\t\t\t\t\t\t<td style=\"width:20%;\"><label for=\"title\">${_titleText}</label></td>\n\t\t\t\t\t\t<td><p class=\"label\">:</p></td>\n\t\t\t\t\t\t<td><input id=\"title\" data-dojo-attach-point=\"title\" type=\"text\" name=\"Title\" size=\"25\"></td>\n\t\t\t\t\t</tr>\n\t\t\t\t</table>\t\t\n\t\t\t</div>\n\t\t\t<div data-dojo-type=\"dijit/layout/ContentPane\" data-dojo-props=\"region:'center'\">\n\t\t\t\t<div style=\"overflow:auto;\">\n\t\t\t\t\t<div id=\"valueEditor\" data-dojo-attach-point=\"valueEditorDiv\"></div>\t\n\t\t\t\t</div>\t\t\n\t\t\t</div>\t\t\n\t\t\t<div data-dojo-type=\"dijit/layout/ContentPane\" data-dojo-props=\"region:'bottom'\"> \n\t\t\t\t<hr/>\n\t\t\t\t\n\t\t\t\t\t<div class=\"rightAlign\">\n\t\t\t\t\t\t<button id=\"${id}_savebutton\" class=\"portlet-form-button\" value=\"OK\" name=\"savebutton\" onclick=\"quickEdit.onEditOK(this);\">${_okText}</button>\n\t\t\t\t\t\t<button id=\"${id}_cancelbutton\" class=\"portlet-form-button\" value=\"Cancel\" name=\"cancelbutton\" onclick=\"quickEdit.onEditCancel(this);\">${_cancelText}</button>\n\t\t\t\t\t</div>\n\n\t\t\t</div>\t\n\t\t</div>\n\t</form>\t\n</div>"}});
/*********************************************************** {COPYRIGHT-TOP} ***
* Licensed Materials - Property of IBM
* Tivoli Widget Library
*
* (C) Copyright IBM Corp. 2013.  All Rights Reserved.
*
* US Government Users Restricted Rights - Use, duplication, or
* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
************************************************************ {COPYRIGHT-END} **/
define("dojoe/text/ssd/QuickEdit", [
	"dojo/_base/declare",
	"dojo/has",
	"dojo/_base/lang",
	"dojox/mobile/Heading",
	"dijit/_Widget",
	"dijit/_TemplatedMixin",
	"dojo/text!./templates/QuickEdit.html",
	"dojo/i18n!./nls/QuickEdit",
	"dijit/Editor",
	"dijit/_editor/plugins/LinkDialog",
	"dijit/_editor/plugins/ViewSource",
	"dijit/_editor/plugins/FontChoice",
	"dijit/_editor/plugins/TextColor",
	"dijit/_editor/plugins/EnterKeyHandling",
	"dijit/_editor/plugins/TabIndent",
	"dojox/editor/plugins/TablePlugins",
	"dojox/editor/plugins/ResizeTableColumn",
	"dojoe/text/ssd/ToggleDirection",
	"dijit/layout/BorderContainer",
	"dijit/layout/ContentPane"
], function (declare,has,lang, heading, _Widget, _TemplatedMixin, template, nlsBundle, Editor, 
				LinkDialog,ViewSource, FontChoice,TextColor,EnterKeyHandling,TabIndent,TablePlugins,ResizeTableColumn,ToggleDirection) {
	 return declare("dojoe.text.ssd.QuickEdit", [_Widget, _TemplatedMixin], {
		templateString: template, 
		nls: nlsBundle,
		//widgetsInTemplate: true,
		portletId: null,
		formURL:null,
		value:null,
		titleVal:null,
		_titleText: null,
		_okText: null,
		_cancelText: null,
		
		constructor: function (props) {
			//lang.mixin (this, props);
		},
		
		postCreate:function () {
			new Editor({
				value: this.value,
				//height: '100%',
				textDir: this.textDir,
				extraPlugins: [
					'toggleDir',
					'createLink', 'unlink', 'insertImage', //LinkDialog
					'viewsource', //ViewSource
					'fontName', 'fontSize', 'formatBlock', //FontChoice
					'foreColor', 'hiliteColor', //TextColor
					{name: 'dojox.editor.plugins.TablePlugins', command: 'insertTable'},
					{name: 'dojox.editor.plugins.TablePlugins', command: 'modifyTable'},
					{name: 'dojox.editor.plugins.TablePlugins', command: 'InsertTableRowBefore'},
					{name: 'dojox.editor.plugins.TablePlugins', command: 'InsertTableRowAfter'},
					{name: 'dojox.editor.plugins.TablePlugins', command: 'insertTableColumnBefore'},
					{name: 'dojox.editor.plugins.TablePlugins', command: 'insertTableColumnAfter'},
					{name: 'dojox.editor.plugins.TablePlugins', command: 'deleteTableRow'},
					{name: 'dojox.editor.plugins.TablePlugins', command: 'deleteTableColumn'},
					{name: 'dojox.editor.plugins.TablePlugins', command: 'colorTableCell'},
					{name: 'dojox.editor.plugins.TablePlugins', command: 'tableContextMenu'},
					{name: 'dojox.editor.plugins.TablePlugins', command: 'ResizeTableColumn'}
				]
			}, this.valueEditorDiv);	
			this.title.value = 	this.titleVal;
		},		
		
		postMixInProperties: function() {
			this._titleText = nlsBundle.TITLE;
			this._okText = nlsBundle.OK;
			this._cancelText = nlsBundle.CANCEL;
		},
			  
		destroy: function () {
			if(dijit.byId("valueEditor")){
				var valueEditor = dijit.byId("valueEditor");
				if(valueEditor.destroyRecursive) valueEditor.destroyRecursive();
				else if(valueEditor.destroy) valueEditor.destroy();
			}
			this.inherited(arguments);		
		}		
	});
});
