// wrapped by build app
define("dojoe/treetable/filter/ClearFilterConfirm", ["dijit","dojo","dojox","dojo/require!dijit/form/Button"], function(dijit,dojo,dojox){
/*********************************************************** {COPYRIGHT-TOP} ***
* Licensed Materials - Property of IBM
* Tivoli Widget Library
*
* (C) Copyright IBM Corp. 2013.  All Rights Reserved.
*
* US Government Users Restricted Rights - Use, duplication, or
* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
************************************************************ {COPYRIGHT-END} **/
/**
 * @author shakeel
 */
dojo.provide("dojoe.treetable.filter.ClearFilterConfirm");

dojo.require("dijit.form.Button");

(function(){
	dojo.declare("dojoe.treetable.filter.ClearFilterConfirm",[dijit._Widget,dijit._Templated],{
		templateString: dojo.cache("dojoe.treetable", "templates/ClearFilterConfirmPane.html", "<div class=\"dojoxGridClearFilterConfirm\">\n\t<div class=\"dojoxGridClearFilterMsg\">\n\t\t${_clearFilterMsg}\n\t</div>\n\t<div class=\"dojoxGridClearFilterBtns\" dojoAttachPoint=\"btnsNode\">\n\t\t<span dojoType=\"dijit.form.Button\" label=\"${_cancelBtnLabel}\" dojoAttachPoint=\"cancelBtn\" dojoAttachEvent=\"onClick:_onCancel\"></span>\n\t\t<span dojoType=\"dijit.form.Button\" label=\"${_clearBtnLabel}\" dojoAttachPoint=\"clearBtn\" dojoAttachEvent=\"onClick:_onClear\"></span>\n\t</div>\n</div>\n"),
		widgetsInTemplate: true,
		plugin: null,
		postMixInProperties: function(){
			var nls = this.plugin.nls;
			this._clearBtnLabel = nls["clearButton"],
			this._cancelBtnLabel = nls["cancelButton"],
			this._clearFilterMsg = nls["clearFilterMsg"];
		},
		postCreate: function(){
			this.inherited(arguments);
			dijit.setWaiState(this.cancelBtn.domNode, "label", this.plugin.nls["waiCancelButton"]);
			dijit.setWaiState(this.clearBtn.domNode, "label", this.plugin.nls["waiClearButton"]);
		},
		uninitialize: function(){
			this.plugin = null;
		},
		_onCancel: function(){
			this.plugin.clearFilterDialog.hide();
		},
		_onClear: function(){
			this.plugin.clearFilterDialog.hide();
			this.plugin.filterDefDialog.clearFilter(this.plugin.filterDefDialog._clearWithoutRefresh);
		}
	});
})();


});
