/*********************************************************** {COPYRIGHT-TOP} ***
* Licensed Materials - Property of IBM
* Tivoli Widget Library
*
* (C) Copyright IBM Corp. 2013.  All Rights Reserved.
*
* US Government Users Restricted Rights - Use, duplication, or
* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
************************************************************ {COPYRIGHT-END} **/
/******************************************************* {COPYRIGHT-TOP-OCO} ***
 * Licensed Materials - Property of IBM
 *
 * (C) Copyright IBM Corp. 2007 All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication, or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ******************************************************* {COPYRIGHT-END-OCO} ***/
define("ibm/tivoli/tip/dijit/nls/hr/resources", {      
 //begin v1.x content
   "SEARCH_COMMAND_TOOLTIP":"Traži tekst",
   "SEARCH_GO_COMMAND_TOOLTIP":"Izvedi pretragu",
   "SEARCH_TEXT":"Traži",

   "DIALOG_CONFIRM":"Potvrdi",
   "DIALOG_ERROR":"Greška",
   "DIALOG_INFO":"Informacije",
   "DIALOG_VALIDATION":"Provjera",
   "DIALOG_WARNING":"Upozorenje",
   "DIALOG_BUTTON_OK":"OK",
   "DIALOG_BUTTON_CLOSE":"Zatvori",
   "DIALOG_BUTTON_CANCEL":"Opoziv",
   "DIALOG_BUTTON_YES":"Da",
   "DIALOG_BUTTON_NO":"Ne",
   "NEVER_SHOW":"Ne pokazuj više",
   "TABLE_FOOTER_TEXT":"Odabrano: ${0}, Ukupno: ${1}",
   "REFRESH":"Osvježi",
   "SELECT_ALL":"Izaberi sve",
   "DESELECT_ALL":"Odznači sve",
   "SEARCH_DROP_DOWN_HELP":"Kliknite pretraživanje po stupcima",
   "ALL_COLUMNS":"Svi stupci",
   "FILTER_ON":"Filter uključen:",
   "OK":"OK",
   "PROCESSING":"Obrada...",
   "MESSAGE_TITLE":"${0} - ${1}",
   "NOT_EDITABLE": "Ovo polje je samo za čitanje.",
   "NUMBER_MAX_LIMIT": "Vrijednost ne može biti veća od ${max}.",
   "NUMBER_MIN_LIMIT": "Vrijednost ne može biti manja od ${min}.",   
   "NUMBER_INVALID_VALUE": "Ovo polje mora imati numeričku vrijednost.",
   "TEXT_INVALID_CHARS": "Vrijednost sadrži neispravne znakove.",
   "TEXT_REQUIRED": "Ovo polje je obavezno.",
   "TEXT_MAX_LIMIT": "Vrijednost ne smije imati više od ${maxlen} znakova.",
   "TEXT_MIN_LIMIT": "Vrijednost ne smije imati manje od ${minlen} znakova.",
   "TEXTAREA_MESSAGE": "Upisano znakova ${len}, preostalo ${left}.",
   "TEXTAREA_MAX_LIMIT": "Možete upisati do ${maxlen} znakova.",
   "DATE_INVALID_VALUE": "Ispravni formati datuma su: mm/dd/yy ili mm/dd/yyyy.",
   "TIME_INVALID_VALUE": "Ispravni formati vremena su: hh:mm AM ili hh:mm PM.",
   "SPINNER_INVALID_VALUE": "Ovo polje mora imati numeričku vrijednost.",

   "COLUMNS": "Stupci",
   "COLUMNS_VISIBLE":"Označava koji stupci tablice su vidljivi",
   "TABLE_PREFERENCES":"Preference tablice",
   "PREFERENCES":"Preference",
   "CANCEL": "Opoziv",
   "PAGE_X_OF_Y":"Stranica ${0} od ${1}",
   "PAGE_OF_Y":"&nbsp; od ${0}",
   "PAGE_LABEL":"Stranice",
   "ROW_SHOW_RATE":"Prikazuje ${0} od ${1} ukupno redova",
   "AXIS_TITLE":"Kilobajti",
"DEFAULT_PARAMETERS":"Default parametri",
"NEXT":"Sljedeće",
"BACK":"Natrag",
"FINISH":"Završetak",
"OK":"OK",
"NEW":"Novo",
"DELETE":"Obriši",
"NEW_CONNECTION":"Nova veza",
"NAME":"Ime",
"DESCRIPTION":"Opis",
"PROTOCOL":"Protokol",
"HOSTNAME":"Ime hosta",
"PORT":"Port",
"SERVICE_NAME":"Ime usluge",
"USERNAME":"Ime korisnika",
"PASSWORD":"Lozinka",
"CREATE":"Kreiraj",
"CANCEL":"Opoziv",
"GROUPS":"Grupe",
"SELECT_GROUP":"Izbor grupe",
"CHARTS":"Grafikoni",
"CLOSE":"Zatvori",
"LAST_UPDATED":"Zadnji put ažurirano: ${0}",
"CHART_NAME":"Naziv grafikona",
"GENERAL":"Općenito",
"VIEW_AS":"Pogledaj kao",
"TABLE":"Tablica",
"CHART":"Grafikon",
"SHOW_LEGEND":"Pokaži tumač znakova",
"AUTO_UPDATE":"Auto ažuriranje",
"SECONDS":"Sekunde",
"MINUTES":"Minute",
"HEIGHT":"Visina",
"WIDTH":"Širina",
"PARAMETERS":"Parametri",
"USE_CONTEXT":"Kada je moguće, koristite vrijednosti parametara predane preko konteksta iz drugih grafičkih elemenata",
"USE_DEFAULTS":"Uvijek koristi default vrijednosti parametara",
"PREFERENCES":"Preference",
"REFRESH":"Osvježi podatke",
"RELOAD":"Osvježi oblik",
"TOGGLE_TABLE_CHART":"Prebaci između tablice/grafikona",
"RETURN_TO_CHART_SELECTOR":"Povratak na izbornik grafikona",
"SAVE":"Spremi",
"SAVE_FOR_OTHERS":"Podijeli preference",
"CLEAR_DEFAULT_PREFERENCES":"Izbriši podijeljene preference",
"CLEAR_MY_PREFERENCES":"Izbriši korisničke preference",
"SAVE":"Spremi",
"PUBLISH":"Objavi",
"RESET":"Reset",
"RESTORE_DEFAULTS":"Vrati defaultne postavke",
"UPLOAD":"Predaj",
"HTTP":"http",
"HTTPS":"https",
"CUSTOM_CHARTS_DESCRIPTION":"Prilagođeni grafikoni su dolje navedeni. Ako vam je administrator dodijelio ulogu chartCreator ili chartAdministrator, možete predavati grafikone kreirane s BIRT dizajnerom. Kako biste mogli koristiti dizajner, <a href=/ibm/TIPChartPortlet/birt/birt-designer.zip>preuzmite</a> ga, dekomprimirajte i izvedite birt.exe. Nakon kreiranja i spremanja grafikona, možete ga predati, zatim izabrati i kliknuti Završi.",
"IMPORT_CHART":"Izaberite grafikon za import",
"SELECT_CHART_TO_IMPORT_DESCRIPTION":"Pregledajte dostupne grupe grafikona i izaberite grafikon za import",
"WAIT":"Molim pričekajte...",
"PRINT_PREVIEW":"Pregled ispisa",
"SAVE_AS_FILE":"Spremi u datoteku",
"SHOW_HIDE_TOOLBAR":"Pokaži/sakrij traku s alatima",
"OPTIONS":"Opcije",
"DIMENSIONS":"Dimenzije",
"NEW_CONNECTION_DESC":"Unesite vrijednosti za povezivanje s aplikacijskim Web servisom crtanja grafikona. Ime servisa je specifično za svaku aplikaciju. Na primjer, ime servisa IBM Tivoli Monitoringa je ITMWebService. Pogledajte odgovarajuću dokumentaciju proizvoda za pripadno ime servisa",
"CHART_ATTRIBUTES":"Atributi grafikona",
"UPLOAD_CHART":"Predaj grafikon",
"UPLOAD_CHART_DESCRIPTION":"Pregledajte vaš lokalni sistem datoteka klikom na Pregled, kako biste izabrali datoteku oblika izvještaja, koja sadrži pojedini grafikon. Zatim, kliknite Predaj da biste dovršili.",
"FILENAME":"Ime datoteke",
"CLEAR_CACHE":"Isprazni predmemoriju",
"DOWNLOAD_BIRT_DESCRIPTION":"Preuzmite BIRT dizajner na vaš lokalni stroj za kreiranje prilagođenih grafikona.",
"CHARTING_VERSION":"Verzija grafikona: ${0}",
"TIPDOJO_VERSION":"Verzija Tivoli Dojo grafičkih elemenata: ${0}",
"DOJO_VERSION":"Verzija Dojoa: ${0}",
"ABOUT":"O",
"ITM_PORT_RANGE_MESSAGE":"Unesite vrijednost između 1024 i 65000",
"SELECT_GROUP":"Izaberite grupu....",
"SHOW_NAME_IN_CHART":"Pokaži naslov u grafikonu",
"SHOW_LAST_UPDATED":"Pokaži vremensku oznaku zadnjeg ažuriranja",
"LEGEND_LOCATION":"Lokacija legende",
"LEGEND_LOCATION_BOTTOM":"Dno",
"LEGEND_LOCATION_RIGHT":"Desno",
"LEGEND":"Legenda",
"PAR_ID":"Id",
"PAR_LABEL":"Oznaka",
"PAR_TYPE":"Tip",
"PAR_DEFAULT_VALUE":"Default vrijednost",
"PAR_REQUIRED":"Obavezno",
"PAGING":"Podjela u stranice",
"RETURN_ALL_ROWS":"Vraća sve redove",
"PAGE_THE_DATA":"Podijeli podatke u stranice",
"PAGING_SIZE":"Veličina stranica",
"PAGE_SIZE_RANGE_MESSAGE":"Upišite vrijednost između 2 i 25",
"DRILL_DOWN":"Bušenje prema dolje",
"DRILL_UP":"Bušenje prema gore",
// added for the DnDListBox, ListBuider and TIPWizardV2
"FILTERHINT": "Filter",
"FILTERTIP": "Upišite za filtriranje liste",
"ADD": "Dodaj",
"ADDALL": "Dodaj sve",
"REMOVE": "Ukloni",
"REMOVEALL": "Ukloni sve",
"APPLY": "Primijeni",
"PIE":"Torta",
"TABLE":"Tablica",
"LINE":"Red",
"CLUSTERED_COLUMNS":"Klasterirani stupci",
"COLUMNS":"Stupci",
"STACKED_COLUMNS":"Složeni stupci",
"BARS":"Trake",
"STACKED_BARS":"Složene trake",
"CLUSTERED_BARS":"Klaster traka",

// for TivWizard
"SLIDE_RIGHT":"Kliži desno",
"SLIDE_LEFT":"Kliži lijevo",

//for Chart Builder Wizard
"DATASET_TITLE": "Skup podataka",
"DATASET_CONTENT_TITLE": "Izbor skupa podataka",
"DATASET_CONTENT_DESC": "Koristite donje područje za istraživanje povezivanja, izvora podataka i izbor skupa podataka. Koristite trag krušnih mrvica za navigaciju natrag, da biste istražili ostala povezivanja. Desni panel bit će ažuriran s pregledom informacija za izbor.",

"PARAMETER_TITLE": "Parametri",
"PARAMETER_CONTENT_TITLE": "Parametri",
"PARAMETER_CONTENT_DESC": "Neki izvori podataka zahtijevaju parametre za pristup podacima ili njihovo filtriranje. Sljedeći parametri su potrebni za pristup podacima. Po defaultu, ovo prihvaća parametre predane preko poveznica ostalih grafičkih elemenata na stranici. Da biste onemogućili ovakvo ponašanje i osigurali upotrebu defaultnih parametara, izaberite donju kontrolnu kućicu.",

"FILTERS_TITLE": "Filteri",
"FILTERS_CONTENT_TITLE": "Filteri",
"FILTERS_CONTENT_DESC": "Slijede opcijski parametri za daljnje filtriranje podataka. Donja tablica pokazuje primjere podataka baziranih na potrebnim parametrima. Koristite gumb filtera da biste izgradili filter i filtrirali podatke te pogledali rezultate filtriranja.",

"VISUALIZATION_TITLE": "Vizualizacija",
"VISUALIZATION_CONTENT_TITLE": "Vizualizacija",
"VISUALIZATION_CONTENT_DESC": "Izaberite graf za prezentaciju podataka. Koriste se postavke osi za izbor stupca u tablici podataka, po kojem se konstruira graf.",

"THRESHOLD_TITLE": "Pragovi",
"THRESHOLD_CONTENT_TITLE": "Pragovi",
"THRESHOLD_CONTENT_DESC": "Izaberite tip praga koji želite koristiti u ovom grafičkom elementu. Možete izabrati iz postojećih pragova ili kreirati prilagođeni sup pragova za ovaj grafički element. Pritisnite li sljedeće, ostavit ćete prvu vrijednost praznom i nećete definirati pragove.",

"VISUALIZATION_OPTION_TITLE": "Opcije vizualizacije",
"VISUALIZATION_OPTION_CONTENT_TITLE": "Opcije vizualizacije",
"VISUALIZATION_OPTION_CONTENT_DESC": "Opcije za promjenu izgleda, ažuriranja i stranica vizualizacije. Podjela u stranice kontrolira broj vrijednosti koje se prikazuju u grafu ili tablici. Omogućite ovo svojstvo ako u seriji imate velik broj vrijednosti.",
"VISUALIZATION_OPTION_ITEM_GENERAL": "Općenito",
"VISUALIZATION_OPTION_ITEM_COLOR_THEME": "Tema boje",
"VISUALIZATION_OPTION_ITEM_LIGHT_THEME": "TIP svjetlo",
"VISUALIZATION_OPTION_ITEM_DARK_THEME": "TIP tamno",
"VISUALIZATION_OPTION_ITEM_START_COLOR": "Početak boje",
"VISUALIZATION_OPTION_ITEM_LEGEND_LOCATION": "Legenda",
"VISUALIZATION_OPTION_ITEM_LEGEND_NONE": "Ništa",
"VISUALIZATION_OPTION_ITEM_LEGEND_RIGHT": "Desno",
"VISUALIZATION_OPTION_ITEM_LEGEND_BOTTOM": "Dno",
"VISUALIZATION_OPTION_ITEM_PAGING_OPTION": "Podjela u stranice",
"VISUALIZATION_OPTION_ITEM_NO_PAGING": "Ne dijeli u stranice seriju vrijednosti",
"VISUALIZATION_OPTION_ITEM_DO_PAGING": "Podijeli u stranice seriju vrijednosti",
"VISUALIZATION_OPTION_ITEM_PAGE_SIZE": "Serije vrijednosti po stranici",
"VISUALIZATION_OPTION_ITEM_AUTO_UPDATE": "Automatski ažuriraj vrijednost",
"VISUALIZATION_OPTION_ITEM_SHOW_TIMESTAMP": "Pokaži vremensku oznaku zadnjeg ažuriranja",
"VISUALIZATION_OPTION_ITEM_X-AXIS_SCALE": "Skala X-osi",
"VISUALIZATION_OPTION_ITEM_Y-AXIS_SCALE": "Skala Y-osi",
"VISUALIZATION_OPTION_ITEM_AXIS_SCALE_MIN": "Minimum",
"VISUALIZATION_OPTION_ITEM_AXIS_SCALE_MAX": "Maksimum",
"VISUALIZATION_OPTION_ITEM_AXIS_SCALE_DEFAULT": "auto",
"VISUALIZATION_OPTION_ITEM_AXIS_LABEL_ROTATION": "Rotacija oznaka osi",
"VISUALIZATION_OPTION_ITEM_AXIS_LABEL_ROTATION_X": "X-os",
"VISUALIZATION_OPTION_ITEM_AXIS_LABEL_ROTATION_Y": "Y-os",
"VISUALIZATION_OPTION_ITEM_AXIS_LABEL_ROTATION_HORIZONTAL": "Vodoravno",
"VISUALIZATION_OPTION_ITEM_AXIS_LABEL_ROTATION_VERTICAL": "Okomito",
"VISUALIZATION_OPTION_ITEM_AXIS_LABEL_ROTATION_ANGLE_RIGHT_45": "Kut desno (45)",
"VISUALIZATION_OPTION_ITEM_AXIS_LABEL_ROTATION_ANGLE_LEFT_45": "Kut lijevo (-45)",
"VISUALIZATION_OPTION_ITEM_AXIS_OPTIONS": "Opcije za osi",
"VISUALIZATION_OPTION_ITEM_AXIS_MAJOR_TICK": "Pokaži glavne podjele osi",
"VISUALIZATION_OPTION_ITEM_AXIS_MINER_TICK": "Pokaži sporedne podjele osi",
"VISUALIZATION_OPTION_ITEM_AXIS_MAJOR_LABEL": "Pokaži glavne oznake osi",
"VISUALIZATION_OPTION_ITEM_AXIS_MINOR_LABLE": "Pokaži sporedne oznake osi",
"MOVE_UP_LABEL": "Premjesti gore",
"MOVE_DOWN_LABEL": "Premjesti dolje",

"AVAILABLE_COLUMN_LABEL": "Dostupni stupci",
"SELECTED_COLUMN_LABEL": "Izabrani stupci",

"V_TITLE_LABEL": "Izbor vizualizacije podataka",
"V_CHART_PIE_LABEL": "Tortna oznaka",

"V_CHART_AXIS_X_LABEL": "X-os:",
"V_CHART_AXIS_Y_LABEL": "Y-os:",

"V_GRID_HEADER_PIE_VALUE_LABEL": "Isječci torte",
"V_GRID_HEADER_PIE_LABEL_LABEL": "Oznaka",

"V_GRID_HEADER_CHART_AXIS_X_LABEL": "X-os",
"V_GRID_HEADER_CHART_AXIS_Y_LABEL": "Y-os",

"V_GRID_HEADER_CHART_AXIS_Y_TOOLTIP_LABEL": "Savjet alata",
"V_CHART_AXIS_X_LABEL_Text": "Oznaka kategorije:",
"V_CHART_AXIS_Y_LABEL_Text": "Oznaka vrijednosti:",

"PIE_CHART_TOOLTIP": "Tortni grafikon",
"LINE_CHART_TOOLTIP": "Linijski grafikon",
"COLUMN_CHART_TOOLTIP": "Stupčasti grafikon",
"STACKED_COLUMN_CHART_TOOLTIP": "Grafikon složenih stupaca",
"CLUSTERED_COLUMN_CHART_TOOLTIP": "Stupčasti klaster grafikon",
"BAR_CHART_TOOLTIP": "Trakasti grafikon",
"STACKED_BAR_CHART_TOOLTIP": "Složeni trakasti grafikon",
"CLUSTERED_BAR_CHART_TOOLTIP": "Trakasti klaster grafikon",
"TABLE_CHART_TOOLTIP": "Tablica",
"WIDGET_WAIT_STATUS": "Čeka se ulaz ...",
"SINGLE_RESOURCE_PROMPT": "Prikazuje se samo jedan od izabranih resursa"

//end v1.x content
//65433: lv locale with test data for TVT needs to be disabled
//"lv": true,
});

