/*********************************************************** {COPYRIGHT-TOP} ***
* Licensed Materials - Property of IBM
* Tivoli Widget Library
*
* (C) Copyright IBM Corp. 2013.  All Rights Reserved.
*
* US Government Users Restricted Rights - Use, duplication, or
* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
************************************************************ {COPYRIGHT-END} **/
define(
"ibm/tivoli/tip/dojo/nls/sl/resources", /****************************************************** {COPYRIGHT-TOP} ***
* Licensed Materials - Property of IBM
* xxxx-xxx
*
* (C) Copyright IBM Corp. 2007
*
* US Government Users Restricted Rights - Use, duplication, or
* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
********************************************************** {COPYRIGHT-END} **/
(
 {
    // NOTE: the next item is an actual number NOT a string.  Specifies maximum size of the exception message.
    MAX_WIDTH_EXC_MSG            : 500,    // Do not translate 
    // If an exception message is truncated, the below string will be shown in its place          
    TEXT_CROPPED                 : "...",
    BIND_ERROR_ID                : "CTGTD1000E",   // Do not translate
    BIND_ERROR_MSG               : "<p><p>Med obdelavo zahteve za strežnik je prišlo do napake.<p><p><b>Podrobnost:</b> ${exc}<p><p>${excMsg}",
    SERVER_ERROR_MSG             : "<p><p>${geEXE}<p><p><b>Podrobnost:</b> ${exc}<p><p>${excMsg}",
    BIND_TIMEOUT_ID              : "CTGTD1001E",   // Do not translate 
    BIND_TIMEOUT_MSG             : "<p><p>Zahteva za strežnik je trajala predolgo, da bi se dokončala.",
    JS_ERROR_ID                  : "CTGTD1002E",   // Do not translate
    JS_ERROR_MSG                 : "<p><p>Med obdelavo odgovora strežnika je prišlo do napake.<p><p><b>Podrobnost:</b> ${name} [${message}]<p><p><b>Pri:</b> vrstica ${lineNumber} datoteke ${fileName}",
    XHR_ERROR_ID                 : "CTGTD1003E",   // Do not translate
    XHR_ERROR_MSG                : "<p><p>Med podajanjem zahteve strežnika je prišlo do napake.<p><p><b>Napaka:</b> ${message}"
 }
)
);

