/*********************************************************** {COPYRIGHT-TOP} ***
* Licensed Materials - Property of IBM
* Tivoli Widget Library
*
* (C) Copyright IBM Corp. 2013.  All Rights Reserved.
*
* US Government Users Restricted Rights - Use, duplication, or
* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
************************************************************ {COPYRIGHT-END} **/
/******************************************************* {COPYRIGHT-TOP-OCO} ***
 * Licensed Materials - Property of IBM
 *
 * (C) Copyright IBM Corp. 2007 All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication, or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ******************************************************* {COPYRIGHT-END-OCO} ***/
define("ibm/tivoli/tip/navwidget/nls/el/resources", {      
   "SEARCH_TEXT":"Αναζήτηση",
   "SAVE_TEXT":"Αποθήκευση προσαρμογών",
   "PRINT_TEXT":"Εκτύπωση",
   "SELECT_TEXT":"Επιλογή",
   "PAN_TEXT":"Πανοραμική προβολή",
   "ZOOM_SELECT_TEXT":"Επιλογή συντελεστή μεγέθυνσης/σμίκρυνσης",
   "ZOOM_IN_TEXT":"Μεγέθυνση",
   "ZOOM_OUT_TEXT":"Σμίκρυνση",
   "FIT_CONTENTS_TEXT":"Προσαρμογή μεγέθους περιεχομένων",
   "REFRESH_TEXT":"Ανανέωση",
   "TOGGLE_LAYOUT_TEXT":"Εναλλαγή διάταξης",
   "TREE_LAYOUT":"Διακλάδωση",
   "HIERARCHICAL_LAYOUT":"Ιεραρχική",
   "FORCE_DIRECTED_LAYOUT":"Με βάση τις τάσεις",
   "GRID_LAYOUT":"Πλέγμα",
   "SHORT_LINK_LAYOUT":"Σύντομη διασύνδεση",
   "LONG_LINK_LAYOUT":"Πλήρης διασύνδεση",
   "CUSTOM":"Προσαρμογή",
   "SAVE":"Αποθήκευση προσαρμογών",
   "CANCEL":"Ακύρωση",
   "RESTORE_DEFAULTS":"Επαναφορά προεπιλογών",
   "LAYOUT_MODE":"Κατάσταση διάταξης:",
   "FLOW_DIRECTION":"Κατεύθυνση ροής:",
   "LINK_STYLE":"Στυλ γενικής διασύνδεσης:",
   "CONNECTOR_STYLE":"Στυλ συνδετικής γραμμής:",
   "GLOBAL_ALIGNMENT":"Γενική στοίχιση",
   "LEVEL_ALIGNMENT":"Στοίχιση επιπέδων:",	
   "LEVEL_JUSTIFICATION":"Πλήρης στοίχιση επιπέδων:",
   "LEVELING_STRATEGY":"Στρατηγική δημιουργίας επιπέδων:",
   "GLOBAL_HORIZONTAL_ALIGNMENT":"Γενική οριζόντια στοίχιση:",
   "GLOBAL_VERTICAL_ALIGNMENT":"Γενική κατακόρυφη στοίχιση:",
   "MAX_NUM_NODES_PER_ROW_COLUMN":"Μέγιστο πλήθος κόμβων ανά γραμμή ή στήλη:",
   "PREFERRED_LINKS_LENGTH":"Προτιμώμενο μήκος διασυνδέσεων:",
   "LINK_STYLE":"Στυλ διασύνδεσης:",
   "MAX_ALLOWED_MOVE_PER_ITERATION":"Μέγιστες επιτρεπτές μετακινήσεις ανά επανάληψη:",
   "ALLOWED_NUMBER_OF_ITERATIONS":"Επιτρεπτό πλήθος επαναλήψεων:",
   "CONVERGENCE_THRESHOLD":"Όριο σύγκλισης:",
   "GLOBAL_LINK_STYLE":"Στυλ γενικής διασύνδεσης:",
   "GLOBAL_SELF_LINK_STYLE":"Στυλ γενικής τοπικής διασύνδεσης:",
   "GLOBAL_CONNECTOR_STYLE":"Στυλ γενικών συνδετικών γραμμών:",
   "LINK_OFFSET":"Απόσταση διασύνδεσης:",
   "MIN_FINAL_SEGMENT_LENGTH":"Ελάχιστο μήκος τελικού τμήματος:",
   "VERTICAL_MIN_OFFSET":"Ελάχιστη κατακόρυφη απόσταση:",
   "HORIZONTAL_MIN_OFFSET":"Ελάχιστη οριζόντια απόσταση:",
   "ASPECT_RATIO":"Αναλογία πλευρών:",
   "ALGORITHM":"Αλγόριθμος:",
   "GENERAL":"Γενικά",
   "PROPERTIES":"Ιδιότητες",
   "OK":"OK",
   "TOPOLOGY_VIEW":"Προβολή τοπολογίας",
   "RESOURCE_VIEW":"Προβολή πόρου",
   "RELATIONSHIP_VIEW":"Προβολή σχέσης",
   "LINK_VIEW":"Προβολή διασύνδεσης",
   "GET_ADOBE_FLASH_PLAYER":"Λήψη Adobe Flash player",
   "ADOBE_FLASH_PLAYER_MIN_VERSION":"10.1.0", 
   "ADOBE_FLASH_PLAYER_ENSURE_VERSION":"Για να εμφανίσετε αυτό το περιεχόμενο, βεβαιωθείτε ότι το σύστημά σας ικανοποιεί τις <a href='${sysReqLink}' target='FLASH_SYS_REQUIREMENTS'>απαιτήσεις συστήματος</a> και ότι έχει εγκατασταθεί το Adobe&reg; Flash&reg; Player έκδοση ${version} ή μεταγενέστερη.", //${sysReqLink} will contain a substituted URL, ${version} will contain substituted product version number (e.g., like 10.1.0) 
   "EMPTY_DATASET":"Χωρίς",
   "ITEM_REMOVED_MESSAGE":"Αυτό το στοιχείο αφαιρέθηκε από το σύνολο δεδομένων.",
   "LINK_REMOVED_MESSAGE":"Αυτή η διασύνδεση αφαιρέθηκε από το σύνολο δεδομένων.",
   "RELATIONSHIP_REMOVED_MESSAGE":"Αυτή η σχέση αφαιρέθηκε από το σύνολο δεδομένων.",
   "ACTIONS":"Ενέργειες",
   "PRINT_AS_BITMAP":"Εκτύπωση ως bitmap:",	   
   "PAGE_COUNT":"Πλήθος σελίδων σε πλάτος ή ύψος:",	 
   "PAGE_COUNT_MAX":"Μέγιστος αριθμός εκτυπωμένων σελίδων:",	  
   "PAGE_MARGIN":"Περιθώριο σελίδας:",
   "TYPE":"Είδος",
   "SOURCEITEM":"Από",
   "TARGETITEM":"Έως",
   "ITEM1":"Στοιχείο 1",
   "ITEM2":"Στοιχείο 2",
   "DATASET1":"Σύνολο δεδομένων 1",
   "DATASET2":"Σύνολο δεδομένων 2",
   "LOADING":"Φόρτωση",
   "RESULTS_CLICK_TO_SELECT":"Αποτελέσματα - Πατήστε για να επιλέξετε",
   "RESULTS":"Αποτελέσματα",
   "NO_RESULTS_FOUND":"Δεν βρέθηκαν αποτελέσματα",
   "CENTER_IN_VIEW":"Κεντράρισμα στην προβολή",
   "HIGHLIGHT":"Επισήμανση",
   "CLEAR_SEARCH":"Εκκαθάριση αναζήτησης",
   "DEPTH":"Βάθος",
   "LAYOUT":"Διάταξη",
   "ACTIONS":"Ενέργειες",
   "SAVE_CANVAS_CONTEXT":"Αποθήκευση προσαρμογών",
   "SAVE_CUSTOMIZATION_QUESTION":"Είστε βέβαιοι ότι επιθυμείτε να αποθηκεύσετε όλες τις προσαρμογές;",
   "TOGGLE_VIEW":"Εναλλαγή προβολής",
   "ALTERNATING_RADIAL":"ακτινικό εναλλάξ",
   "AUTOMATIC":"αυτόματα",
   "BORDER_CENTER":"κέντρο περιγράμματος",
   "BOTTOM":"κάτω",
   "CENTER":"κέντρο",
   "CENTERED":"στο κέντρο",
   "DIRECT":"άμεσο",
   "EAST":"ανατολικά",
   "EVENLY_SPACED":"ίσα διαστήματα",
   "FAST_MULTILEVEL":"ταχύ, πολλαπλών επιπέδων",
   "FIXED_OFFSET":"σταθερή απόσταση",
   "FREE":"ελεύθερο",
   "HIGHER_LEVELS":"ανώτερα επίπεδα",
   "INCREMENTAL":"αυξητικό",
   "LEFT":"αριστερά",
   "LEVEL":"επίπεδο",
   "LOWER_LEVELS":"κατώτερα επίπεδα",
   "MIXED":"μικτό",
   "NO_RESHAPE":"χωρίς αλλαγή σχήματος",
   "NON_INCREMENTAL":"μη αυξητικό",
   "NORTH":"βόρεια",
   "OPTIMAL":"βέλτιστο",
   "ORTHOGONAL":"ορθογώνιο",
   "POLYLINE":"πολλαπλές γραμμές",
   "RADIAL":"ακτινικό",
   "RIGHT":"δεξιά",
   "SEMI_OPTIMAL":"μερικώς βέλτιστο",
   "SOUTH":"νότια",
   "SPREAD_OUT":"απλωμένα",
   "STRAIGHT":"ευθεία",
   "THREE_BENDS_ORTHOGONAL":"ορθογώνιες γραμμές, τρεις γωνίες",
   "TILE_TO_COLUMNS":"σε παράθεση, στήλες",
   "TILE_TO_GRID_FIXED_HEIGHT":"σε παράθεση, πλέγμα σταθερού ύψους",
   "TILE_TO_GRID_FIXED_WIDTH":"σε παράθεση, πλέγμα σταθερού πλάτους",
   "TILE_TO_ROWS":"σε παράθεση, γραμμές",
   "TIP_LEAVES_OVER":"κατακόρυφη στοίχιση τελικών κόμβων",
   "TIP_OVER_BOTH_SIDES":"κατακόρυφη στοίχιση και στις δύο πλευρές",
   "TIP_OVER_EAST_WEST":"κατακόρυφη στοίχιση δεξιά και αριστερά",
   "TIP_OVER_WEST":"κατακόρυφη στοίχιση αριστερά",
   "TIP_OVER":"κατακόρυφη στοίχιση",
   "TIP_ROOTS_AND_LEAVES_OVER":"κατακόρυφη στοίχιση αρχικών και τελικών κόμβων",
   "TIP_ROOTS_OVER":"κατακόρυφη στοίχιση αρχικών κόμβων",
   "TOP":"κορυφή",
   "TWO_BENDS_ORTHOGONAL":"ορθογώνιες γραμμές, δύο γωνίες",
   "WEST":"δυτικά",
   "EXPORT":"Εξαγωγή",
   "EXPORT_IMAGE_DIALOG_TITLE":"Εξαγωγή ως εικόνας",
   "EXPORT_IMAGE_DIALOG_QUESTION":"Θέλετε να εξαγάγετε το διάγραμμα ως εικόνα; Επιλέξτε την επιθυμητή μορφή.",
   "EXPORT_IMAGE_PNG_OPTION_LABEL":"${fileExtension}", //${fileExtension} will contain a file extension like PNG or JPG; creating a specific string with substitution in case we ever want to add more text to the radio button label
   "EXPORT_IMAGE_JPG_OPTION_LABEL":"${fileExtension}", //${fileExtension} will contain a file extension like PNG or JPG; creating a specific string with substitution in case we ever want to add more text to the radio button label
   "ADVANCED_SEARCH":"Σύνθετη αναζήτηση",
   "RESOURCES_COUNT": "Πόροι: ${value2}", //$${value2} will contain a substituted number of items in a topology graph 
   "RELATIONSHIP_COUNT": "Σχέσεις: ${value3}", //${value3} will contain a substituted number of relationships in a topology graph
   "FILTERED_COUNT": "Φιλτραρισμένα: ${value4}", //${value4} will contain a substituted number of items in a filtered topology graph
   "SELECTED_COUNT": "Επιλεγμένα: ${value1}", //${value4} will contain a substituted number of selected items in a topology graph
   "ALL":"Όλα",
   "PARENTHETICAL_ENTRY":"${label} (${parens})", //This is used to create labels followed by additional information in parentheses (e.g., "XXXX (YYYY)", "Demo Group (12)", "sys1 (Topology)", etc.)
   "CUSTOMIZE_LAYOUT":"Προσαρμογή διάταξης: ${value5}", //${value5} will contain a substituted name of the layout, (e.g., "Customize layout: UserTree_1") 
   "ERROR":"Σφάλμα",
   "PENDING":"Εκκρεμεί",
   "CLOSE":"Κλείσιμο"
//65433: lv locale with test data for TVT needs to be disabled
//"lv": true,
});

