/*********************************************************** {COPYRIGHT-TOP} ***
* Licensed Materials - Property of IBM
* Tivoli Widget Library
*
* (C) Copyright IBM Corp. 2013.  All Rights Reserved.
*
* US Government Users Restricted Rights - Use, duplication, or
* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
************************************************************ {COPYRIGHT-END} **/
/******************************************************* {COPYRIGHT-TOP-OCO} ***
 * Licensed Materials - Property of IBM
 *
 * (C) Copyright IBM Corp. 2007 All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication, or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ******************************************************* {COPYRIGHT-END-OCO} ***/
define("ibm/tivoli/tip/navwidget/nls/fr/resources", {      
   "SEARCH_TEXT":"Rechercher",
   "SAVE_TEXT":"Enregistrer les personnalisations",
   "PRINT_TEXT":"Imprimer",
   "SELECT_TEXT":"Sélectionner",
   "PAN_TEXT":"Panoramique",
   "ZOOM_SELECT_TEXT":"Zoom sur la sélection",
   "ZOOM_IN_TEXT":"Zoom avant",
   "ZOOM_OUT_TEXT":"Zoom arrière",
   "FIT_CONTENTS_TEXT":"Adapter au contenu",
   "REFRESH_TEXT":"Actualiser",
   "TOGGLE_LAYOUT_TEXT":"Basculer entre les présentations",
   "TREE_LAYOUT":"Arborescence",
   "HIERARCHICAL_LAYOUT":"Hiérarchique",
   "FORCE_DIRECTED_LAYOUT":"Basé sur les forces (Force-directed)",
   "GRID_LAYOUT":"Grille",
   "SHORT_LINK_LAYOUT":"Lien court",
   "LONG_LINK_LAYOUT":"Lien long",
   "CUSTOM":"Personnalisé",
   "SAVE":"Enregistrer les personnalisations",
   "CANCEL":"Annuler",
   "RESTORE_DEFAULTS":"Restaurer les valeurs par défaut",
   "LAYOUT_MODE":"Mode de présentation :",
   "FLOW_DIRECTION":"Sens du flux :",
   "LINK_STYLE":"Style de lien global :",
   "CONNECTOR_STYLE":"Style de connecteur :",
   "GLOBAL_ALIGNMENT":"Alignement global :",
   "LEVEL_ALIGNMENT":"Alignement de niveau :",	
   "LEVEL_JUSTIFICATION":"Justification de niveau :",
   "LEVELING_STRATEGY":"Stratégie de nivellement :",
   "GLOBAL_HORIZONTAL_ALIGNMENT":"Alignement horizontal global :",
   "GLOBAL_VERTICAL_ALIGNMENT":"Alignement vertical global :",
   "MAX_NUM_NODES_PER_ROW_COLUMN":"Nombre maximal de noeuds par ligne ou par colonne :",
   "PREFERRED_LINKS_LENGTH":"Longueur des liens préférés :",
   "LINK_STYLE":"Style de lien :",
   "MAX_ALLOWED_MOVE_PER_ITERATION":"Nombre maximal de déplacements autorisés par itération :",
   "ALLOWED_NUMBER_OF_ITERATIONS":"Nombre autorisé d'itérations :",
   "CONVERGENCE_THRESHOLD":"Seuil de convergence :",
   "GLOBAL_LINK_STYLE":"Style de lien global :",
   "GLOBAL_SELF_LINK_STYLE":"Style d'auto-lien global :",
   "GLOBAL_CONNECTOR_STYLE":"Style de connecteur global :",
   "LINK_OFFSET":"Décalage de lien :",
   "MIN_FINAL_SEGMENT_LENGTH":"Longueur minimale du segment final :",
   "VERTICAL_MIN_OFFSET":"Décalage minimal vertical :",
   "HORIZONTAL_MIN_OFFSET":"Décalage minimal horizontal :",
   "ASPECT_RATIO":"Rapport hauteur/largeur :",
   "ALGORITHM":"Algorithme :",
   "GENERAL":"Général",
   "PROPERTIES":"Propriétés",
   "OK":"OK",
   "TOPOLOGY_VIEW":"Vue Topologie",
   "RESOURCE_VIEW":"Vue Ressources",
   "RELATIONSHIP_VIEW":"Vue Relations",
   "LINK_VIEW":"Vue Liens",
   "GET_ADOBE_FLASH_PLAYER":"Obtenir Adobe Flash Player",
   "ADOBE_FLASH_PLAYER_MIN_VERSION":"10.1.0", 
   "ADOBE_FLASH_PLAYER_ENSURE_VERSION":"Pour afficher ce contenu, assurez-vous que votre système satisfait à la <a href='${sysReqLink}' target='FLASH_SYS_REQUIREMENTS'>configuration système requise</a> et que Adobe&reg; Flash&reg; Player version ${version} ou supérieure est installé.", //${sysReqLink} will contain a substituted URL, ${version} will contain substituted product version number (e.g., like 10.1.0) 
   "EMPTY_DATASET":"Aucun",
   "ITEM_REMOVED_MESSAGE":"Cet élément a été supprimé du jeu de données.",
   "LINK_REMOVED_MESSAGE":"Ce lien a été supprimé du jeu de données.",
   "RELATIONSHIP_REMOVED_MESSAGE":"Cette relation a été supprimée du jeu de données.",
   "ACTIONS":"Actions",
   "PRINT_AS_BITMAP":"Imprimer en tant que bitmap :",	   
   "PAGE_COUNT":"Nombre de pages en largeur ou en hauteur :",	 
   "PAGE_COUNT_MAX":"Nombre maximal de pages imprimées :",	  
   "PAGE_MARGIN":"Marge de la page :",
   "TYPE":"Type",
   "SOURCEITEM":"De",
   "TARGETITEM":"A",
   "ITEM1":"Elément 1",
   "ITEM2":"Elément 2",
   "DATASET1":"Jeu de données 1",
   "DATASET2":"Jeu de données 2",
   "LOADING":"Chargement",
   "RESULTS_CLICK_TO_SELECT":"Résultats - Cliquez pour sélectionner",
   "RESULTS":"Résultats",
   "NO_RESULTS_FOUND":"Aucun résultat trouvé",
   "CENTER_IN_VIEW":"Centrer dans la vue",
   "HIGHLIGHT":"Mettre en évidence",
   "CLEAR_SEARCH":"Effacer la recherche",
   "DEPTH":"Profondeur",
   "LAYOUT":"Présentation",
   "ACTIONS":"Actions",
   "SAVE_CANVAS_CONTEXT":"Enregistrer les personnalisations",
   "SAVE_CUSTOMIZATION_QUESTION":"Voulez-vous vraiment enregistrer toutes les personnalisations ?",
   "TOGGLE_VIEW":"Basculer entre les vues",
   "ALTERNATING_RADIAL":"radial avec alternance",
   "AUTOMATIC":"automatique",
   "BORDER_CENTER":"centre des bords",
   "BOTTOM":"bas",
   "CENTER":"centre",
   "CENTERED":"centré",
   "DIRECT":"direct",
   "EAST":"est",
   "EVENLY_SPACED":"espacé de façon égale",
   "FAST_MULTILEVEL":"multiniveau rapide",
   "FIXED_OFFSET":"décalage fixe",
   "FREE":"libre",
   "HIGHER_LEVELS":"niveaux supérieurs",
   "INCREMENTAL":"incrémentiel",
   "LEFT":"gauche",
   "LEVEL":"niveau",
   "LOWER_LEVELS":"niveaux inférieurs",
   "MIXED":"mixte",
   "NO_RESHAPE":"pas de remodelage",
   "NON_INCREMENTAL":"non incrémentiel",
   "NORTH":"nord",
   "OPTIMAL":"optimal",
   "ORTHOGONAL":"orthogonal",
   "POLYLINE":"ligne polygonale",
   "RADIAL":"radial",
   "RIGHT":"droite",
   "SEMI_OPTIMAL":"semi-optimal",
   "SOUTH":"sud",
   "SPREAD_OUT":"étendu",
   "STRAIGHT":"droit",
   "THREE_BENDS_ORTHOGONAL":"orthogonal avec trois coudes",
   "TILE_TO_COLUMNS":"mosaïque sur les colonnes",
   "TILE_TO_GRID_FIXED_HEIGHT":"mosaïque sur une grille de hauteur fixe",
   "TILE_TO_GRID_FIXED_WIDTH":"mosaïque sur une grille de largeur fixe",
   "TILE_TO_ROWS":"mosaïque sur les lignes",
   "TIP_LEAVES_OVER":"feuilles des extrémités par-dessus",
   "TIP_OVER_BOTH_SIDES":"extrémité sur les deux côtés",
   "TIP_OVER_EAST_WEST":"extrémité sur l'est et l'ouest",
   "TIP_OVER_WEST":"extrémité sur l'ouest",
   "TIP_OVER":"extrémité par-dessus",
   "TIP_ROOTS_AND_LEAVES_OVER":"racines et feuilles des extrémités par-dessus",
   "TIP_ROOTS_OVER":"racines des extrémités par-dessus",
   "TOP":"haut",
   "TWO_BENDS_ORTHOGONAL":"orthogonal avec deux coudes",
   "WEST":"ouest",
   "EXPORT":"Exporter",
   "EXPORT_IMAGE_DIALOG_TITLE":"Exporter en tant qu'image",
   "EXPORT_IMAGE_DIALOG_QUESTION":"Voulez-vous exporter le diagramme en tant qu'image ? Choisissez le format souhaité ci-dessous.",
   "EXPORT_IMAGE_PNG_OPTION_LABEL":"${fileExtension}", //${fileExtension} will contain a file extension like PNG or JPG; creating a specific string with substitution in case we ever want to add more text to the radio button label
   "EXPORT_IMAGE_JPG_OPTION_LABEL":"${fileExtension}", //${fileExtension} will contain a file extension like PNG or JPG; creating a specific string with substitution in case we ever want to add more text to the radio button label
   "ADVANCED_SEARCH":"Recherche avancée",
   "RESOURCES_COUNT": "Ressources : ${value2}", //$${value2} will contain a substituted number of items in a topology graph 
   "RELATIONSHIP_COUNT": "Relations : ${value3}", //${value3} will contain a substituted number of relationships in a topology graph
   "FILTERED_COUNT": "Filtrés : ${value4}", //${value4} will contain a substituted number of items in a filtered topology graph
   "SELECTED_COUNT": "Sélectionnés : ${value1}", //${value4} will contain a substituted number of selected items in a topology graph
   "ALL":"Tout",
   "PARENTHETICAL_ENTRY":"${label} (${parens})", //This is used to create labels followed by additional information in parentheses (e.g., "XXXX (YYYY)", "Demo Group (12)", "sys1 (Topology)", etc.)
   "CUSTOMIZE_LAYOUT":"Personnaliser la présentation : ${value5}", //${value5} will contain a substituted name of the layout, (e.g., "Customize layout: UserTree_1") 
   "ERROR":"Erreur",
   "PENDING":"En attente",
   "CLOSE":"Fermer"
//65433: lv locale with test data for TVT needs to be disabled
//"lv": true,
});

