/*********************************************************** {COPYRIGHT-TOP} ***
* Licensed Materials - Property of IBM
* Tivoli Widget Library
*
* (C) Copyright IBM Corp. 2013.  All Rights Reserved.
*
* US Government Users Restricted Rights - Use, duplication, or
* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
************************************************************ {COPYRIGHT-END} **/
/******************************************************* {COPYRIGHT-TOP-OCO} ***
 * Licensed Materials - Property of IBM
 *
 * (C) Copyright IBM Corp. 2007 All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication, or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ******************************************************* {COPYRIGHT-END-OCO} ***/
define("ibm/tivoli/tip/navwidget/nls/ko/resources", {      
   "SEARCH_TEXT":"검색",
   "SAVE_TEXT":"사용자 정의 저장",
   "PRINT_TEXT":"인쇄",
   "SELECT_TEXT":"선택",
   "PAN_TEXT":"상하좌우 이동",
   "ZOOM_SELECT_TEXT":"확대/축소 선택",
   "ZOOM_IN_TEXT":"확대",
   "ZOOM_OUT_TEXT":"축소",
   "FIT_CONTENTS_TEXT":"컨텐츠 맞추기",
   "REFRESH_TEXT":"새로 고치기",
   "TOGGLE_LAYOUT_TEXT":"레이아웃 전환",
   "TREE_LAYOUT":"트리",
   "HIERARCHICAL_LAYOUT":"계층 구조",
   "FORCE_DIRECTED_LAYOUT":"강제 실행 적용",
   "GRID_LAYOUT":"그리드",
   "SHORT_LINK_LAYOUT":"짧은 링크",
   "LONG_LINK_LAYOUT":"긴 링크",
   "CUSTOM":"사용자 정의",
   "SAVE":"사용자 정의 저장",
   "CANCEL":"취소",
   "RESTORE_DEFAULTS":"기본값 복원",
   "LAYOUT_MODE":"레이아웃 모드: ",
   "FLOW_DIRECTION":"플로우 방향:",
   "LINK_STYLE":"글로벌 링크 스타일:",
   "CONNECTOR_STYLE":"커넥터 스타일:",
   "GLOBAL_ALIGNMENT":"글로벌 맞추기:",
   "LEVEL_ALIGNMENT":"레벨 맞추기:",	
   "LEVEL_JUSTIFICATION":"레벨 자리 맞춤:",
   "LEVELING_STRATEGY":"레벨 지정 전략:",
   "GLOBAL_HORIZONTAL_ALIGNMENT":"글로벌 가로 맞추기:",
   "GLOBAL_VERTICAL_ALIGNMENT":"글로벌 세로 맞추기:",
   "MAX_NUM_NODES_PER_ROW_COLUMN":"행 또는 컬럼당 최대 노드 수:",
   "PREFERRED_LINKS_LENGTH":"자주 사용하는 링크 길이:",
   "LINK_STYLE":"링크 스타일:",
   "MAX_ALLOWED_MOVE_PER_ITERATION":"반복당 최대 허용 이동 수:",
   "ALLOWED_NUMBER_OF_ITERATIONS":"반복 허용 수:",
   "CONVERGENCE_THRESHOLD":"수렴 임계값:",
   "GLOBAL_LINK_STYLE":"글로벌 링크 스타일:",
   "GLOBAL_SELF_LINK_STYLE":"글로벌 셀프 링크 스타일:",
   "GLOBAL_CONNECTOR_STYLE":"글로벌 커넥터 스타일:",
   "LINK_OFFSET":"링크 오프셋:",
   "MIN_FINAL_SEGMENT_LENGTH":"최소 최종 세그먼트 길이:",
   "VERTICAL_MIN_OFFSET":"세로 최소 오프셋:",
   "HORIZONTAL_MIN_OFFSET":"수평 최소 오프셋:",
   "ASPECT_RATIO":"가로세로비:",
   "ALGORITHM":"알고리즘:",
   "GENERAL":"일반",
   "PROPERTIES":"특성",
   "OK":"확인",
   "TOPOLOGY_VIEW":"토폴로지 보기",
   "RESOURCE_VIEW":"자원 보기",
   "RELATIONSHIP_VIEW":"관계 보기",
   "LINK_VIEW":"링크 보기",
   "GET_ADOBE_FLASH_PLAYER":"Adobe Flash player 가져오기",
   "ADOBE_FLASH_PLAYER_MIN_VERSION":"10.1.0", 
   "ADOBE_FLASH_PLAYER_ENSURE_VERSION":"이 컨텐츠를 보려면 사용하는 시스템이 <a href='${sysReqLink}' target='FLASH_SYS_REQUIREMENTS'>시스템 요구사항</a>과 일치하고 Adobe&reg; Flash&reg; Player 버전 ${version} 이상이 설치되어 있는지 확인하십시오.", //${sysReqLink} will contain a substituted URL, ${version} will contain substituted product version number (e.g., like 10.1.0) 
   "EMPTY_DATASET":"없음",
   "ITEM_REMOVED_MESSAGE":"데이터 세트에서 이 항목이 제거되었습니다.",
   "LINK_REMOVED_MESSAGE":"데이터 세트에서 이 링크가 제거되었습니다.",
   "RELATIONSHIP_REMOVED_MESSAGE":"데이터 세트에서 이 관계가 제거되었습니다.",
   "ACTIONS":"조치",
   "PRINT_AS_BITMAP":"비트맵으로 인쇄:",	   
   "PAGE_COUNT":"가로 또는 세로 페이지 수:",	 
   "PAGE_COUNT_MAX":"최대 인쇄 페이지 수:",	  
   "PAGE_MARGIN":"페이지 여백:",
   "TYPE":"유형",
   "SOURCEITEM":"소스 항목",
   "TARGETITEM":"대상 항목",
   "ITEM1":"항목 1",
   "ITEM2":"항목 2",
   "DATASET1":"데이터 세트 1",
   "DATASET2":"데이터 세트 2",
   "LOADING":"로드",
   "RESULTS_CLICK_TO_SELECT":"결과 - 선택하려면 클릭하십시오.",
   "RESULTS":"결과",
   "NO_RESULTS_FOUND":"발견된 결과가 없음",
   "CENTER_IN_VIEW":"가운데 맞추기",
   "HIGHLIGHT":"강조표시",
   "CLEAR_SEARCH":"검색 선택 취소",
   "DEPTH":"깊이",
   "LAYOUT":"레이아웃",
   "ACTIONS":"조치",
   "SAVE_CANVAS_CONTEXT":"사용자 정의 저장",
   "SAVE_CUSTOMIZATION_QUESTION":"모든 사용자 정의를 저장하시겠습니까?",
   "TOGGLE_VIEW":"보기 전환",
   "ALTERNATING_RADIAL":"대체 방사형",
   "AUTOMATIC":"자동",
   "BORDER_CENTER":"경계 가운데",
   "BOTTOM":"맨 아래",
   "CENTER":"가운데",
   "CENTERED":"중심",
   "DIRECT":"직선",
   "EAST":"동",
   "EVENLY_SPACED":"균등 간격",
   "FAST_MULTILEVEL":"고속 다단계",
   "FIXED_OFFSET":"고정 오프셋",
   "FREE":"자유",
   "HIGHER_LEVELS":"상위 레벨",
   "INCREMENTAL":"증분식",
   "LEFT":"왼쪽",
   "LEVEL":"레벨",
   "LOWER_LEVELS":"하위 레벨",
   "MIXED":"혼합",
   "NO_RESHAPE":"변형 없음",
   "NON_INCREMENTAL":"비증분식",
   "NORTH":"북",
   "OPTIMAL":"최적",
   "ORTHOGONAL":"직교",
   "POLYLINE":"폴리라인",
   "RADIAL":"방사형",
   "RIGHT":"오른쪽",
   "SEMI_OPTIMAL":"준최적",
   "SOUTH":"남",
   "SPREAD_OUT":"전개",
   "STRAIGHT":"일직선",
   "THREE_BENDS_ORTHOGONAL":"3-벤드 직교",
   "TILE_TO_COLUMNS":"바둑판식에서 컬럼으로",
   "TILE_TO_GRID_FIXED_HEIGHT":"바둑판식에서 세로가 고정된 그리드로",
   "TILE_TO_GRID_FIXED_WIDTH":"바둑판식에서 가로가 고정된 그리드로",
   "TILE_TO_ROWS":"바둑판식에서 행으로",
   "TIP_LEAVES_OVER":"리프 뒤집기",
   "TIP_OVER_BOTH_SIDES":"양쪽 뒤집기",
   "TIP_OVER_EAST_WEST":"동쪽 서쪽 뒤집기",
   "TIP_OVER_WEST":"서쪽 뒤집기",
   "TIP_OVER":"뒤집기",
   "TIP_ROOTS_AND_LEAVES_OVER":"루트와 리프 뒤집기",
   "TIP_ROOTS_OVER":"루트 뒤집기",
   "TOP":"맨 위",
   "TWO_BENDS_ORTHOGONAL":"2-벤드 직교",
   "WEST":"서",
   "EXPORT":"내보내기",
   "EXPORT_IMAGE_DIALOG_TITLE":"이미지로 내보내기",
   "EXPORT_IMAGE_DIALOG_QUESTION":"다이어그램을 이미지로 내보내시겠습니까? 아래에서 원하는 형식을 선택하십시오.",
   "EXPORT_IMAGE_PNG_OPTION_LABEL":"${fileExtension}", //${fileExtension} will contain a file extension like PNG or JPG; creating a specific string with substitution in case we ever want to add more text to the radio button label
   "EXPORT_IMAGE_JPG_OPTION_LABEL":"${fileExtension}", //${fileExtension} will contain a file extension like PNG or JPG; creating a specific string with substitution in case we ever want to add more text to the radio button label
   "ADVANCED_SEARCH":"고급 검색",
   "RESOURCES_COUNT": "자원: ${value2}", //$${value2} will contain a substituted number of items in a topology graph 
   "RELATIONSHIP_COUNT": "관계: ${value3}", //${value3} will contain a substituted number of relationships in a topology graph
   "FILTERED_COUNT": "필터링됨: ${value4}", //${value4} will contain a substituted number of items in a filtered topology graph
   "SELECTED_COUNT": "선택됨: ${value1}", //${value4} will contain a substituted number of selected items in a topology graph
   "ALL":"모두",
   "PARENTHETICAL_ENTRY":"${label} (${parens})", //This is used to create labels followed by additional information in parentheses (e.g., "XXXX (YYYY)", "Demo Group (12)", "sys1 (Topology)", etc.)
   "CUSTOMIZE_LAYOUT":"레이아웃 사용자 정의: ${value5}", //${value5} will contain a substituted name of the layout, (e.g., "Customize layout: UserTree_1") 
   "ERROR":"오류",
   "PENDING":"보류 중",
   "CLOSE":"닫기"
//65433: lv locale with test data for TVT needs to be disabled
//"lv": true,
});

