/*********************************************************** {COPYRIGHT-TOP} ***
* Licensed Materials - Property of IBM
* Tivoli Widget Library
*
* (C) Copyright IBM Corp. 2013.  All Rights Reserved.
*
* US Government Users Restricted Rights - Use, duplication, or
* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
************************************************************ {COPYRIGHT-END} **/
/******************************************************* {COPYRIGHT-TOP-OCO} ***
 * Licensed Materials - Property of IBM
 *
 * (C) Copyright IBM Corp. 2007 All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication, or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ******************************************************* {COPYRIGHT-END-OCO} ***/
define( 
"ibm/tivoli/tip/navwidget/nls/lv/resources", ({ 
 "SEARCH_TEXT":"Search~96",
 "SAVE_TEXT":"Save Customizations~97",
 "PRINT_TEXT":"Print~98",
 "SELECT_TEXT":"Select~99",
 "PAN_TEXT":"Pan~100",
 "ZOOM_SELECT_TEXT":"Zoom Select~101",
 "ZOOM_IN_TEXT":"Zoom In~102",
 "ZOOM_OUT_TEXT":"Zoom Out~103",
 "FIT_CONTENTS_TEXT":"Fit Contents~104",
 "REFRESH_TEXT":"Refresh~105",
 "TOGGLE_LAYOUT_TEXT":"Toggle Layout~106",
 "TREE_LAYOUT":"Tree~107",
 "HIERARCHICAL_LAYOUT":"Hierarchical~108",
 "FORCE_DIRECTED_LAYOUT":"Force Directed~109",
 "GRID_LAYOUT":"Grid~110",
 "SHORT_LINK_LAYOUT":"Short Link~111",
 "LONG_LINK_LAYOUT":"Long Link~112",
 "CUSTOM":"Custom~113",
 "SAVE":"Save Customizations~114",
 "CANCEL":"Cancel~115",
 "RESTORE_DEFAULTS":"Restore Defaults~116",
 "LAYOUT_MODE":"Layout mode:~117",
 "FLOW_DIRECTION":"Flow direction:~118",
 "LINK_STYLE":"Global link style:~119",
 "CONNECTOR_STYLE":"Connector style:~120",
 "GLOBAL_ALIGNMENT":"Global alignment:~121",
 "LEVEL_ALIGNMENT":"Level alignment:~122",	
 "LEVEL_JUSTIFICATION":"Level justification:~123",
 "LEVELING_STRATEGY":"Leveling strategy:~124",
 "GLOBAL_HORIZONTAL_ALIGNMENT":"Global horizontal alignment:~125",
 "GLOBAL_VERTICAL_ALIGNMENT":"Global vertical alignment:~126",
 "MAX_NUM_NODES_PER_ROW_COLUMN":"Maximum number of nodes per row or column:~127",
 "PREFERRED_LINKS_LENGTH":"Preferred links length:~128",
 "LINK_STYLE":"Link style:~129",
 "MAX_ALLOWED_MOVE_PER_ITERATION":"Maximum allowed moves per iteration:~130",
 "ALLOWED_NUMBER_OF_ITERATIONS":"Allowed number of iterations:~131",
 "CONVERGENCE_THRESHOLD":"Convergence threshold:~132",
 "GLOBAL_LINK_STYLE":"Global link style:~133",
 "GLOBAL_SELF_LINK_STYLE":"Global self link style:~134",
 "GLOBAL_CONNECTOR_STYLE":"Global connector style:~135",
 "LINK_OFFSET":"Link offset:~136",
 "MIN_FINAL_SEGMENT_LENGTH":"Minimum final segment length:~137",
 "VERTICAL_MIN_OFFSET":"Vertical minimum offset:~138",
 "HORIZONTAL_MIN_OFFSET":"Horizontal minimum offset:~139",
 "ASPECT_RATIO":"Aspect ratio:~140",
 "ALGORITHM":"Algorithm:~141",
 "GENERAL":"General~142",
 "PROPERTIES":"Properties~143",
 "OK":"OK~144",
 "TOPOLOGY_VIEW":"Topology View~145",
 "RESOURCE_VIEW":"Resource View~146",
 "RELATIONSHIP_VIEW":"Relationship View~147",
 "LINK_VIEW":"Link View~148",
 "GET_ADOBE_FLASH_PLAYER":"Get Adobe Flash player~149",
 "ADOBE_FLASH_PLAYER_MIN_VERSION":"10.1.0~150", 
 "ADOBE_FLASH_PLAYER_ENSURE_VERSION":"To view this content, ensure that your system meets <a href='${sysReqLink}' target='FLASH_SYS_REQUIREMENTS'>system requirements</a> and that Adobe&reg; Flash&reg; Player version [${version}] or greater is installed.~151", //${sysReqLink} will contain a substituted URL, ${version} will contain substituted product version number (e.g., like 10.1.0) 
 "EMPTY_DATASET":"None~152",
 "ITEM_REMOVED_MESSAGE":"This item was removed from the dataset.~153",
 "LINK_REMOVED_MESSAGE":"This link was removed from the dataset.~154",
 "RELATIONSHIP_REMOVED_MESSAGE":"This relationship was removed from the dataset.~155",
 "ACTIONS":"Actions~156",
 "PRINT_AS_BITMAP":"Print as bitmap:~157",	   
 "PAGE_COUNT":"Number of pages in width or height:~158",	 
 "PAGE_COUNT_MAX":"Maximum pages printed:~159",	  
 "PAGE_MARGIN":"Page margin:~160",
 "TYPE":"Type~161",
 "SOURCEITEM":"From~162",
 "TARGETITEM":"To~163",
 "ITEM1":"Item 1~164",
 "ITEM2":"Item 2~165",
 "DATASET1":"Dataset 1~166",
 "DATASET2":"Dataset 2~167",
 "LOADING":"Loading~168",
 "RESULTS_CLICK_TO_SELECT":"Results - Click to Select~169",
 "RESULTS":"Results~170",
 "NO_RESULTS_FOUND":"No results found~171",
 "CENTER_IN_VIEW":"Center In View~172",
 "HIGHLIGHT":"Highlight~173",
 "CLEAR_SEARCH":"Clear Search~174",
 "DEPTH":"Depth~175",
 "LAYOUT":"Layout~176",
 "ACTIONS":"Actions~177",
 "SAVE_CANVAS_CONTEXT":"Save Customizations~178",
 "SAVE_CUSTOMIZATION_QUESTION":"Are you sure you want to save all the customizations?~179",
 "TOGGLE_VIEW":"Toggle View~180",
 "ALTERNATING_RADIAL":"alternating radial~181",
 "AUTOMATIC":"automatic~182",
 "BORDER_CENTER":"border center~183",
 "BOTTOM":"bottom~184",
 "CENTER":"center~185",
 "CENTERED":"centered~186",
 "DIRECT":"direct~187",
 "EAST":"east~188",
 "EVENLY_SPACED":"evenly spaced~189",
 "FAST_MULTILEVEL":"fast multilevel~190",
 "FIXED_OFFSET":"fixed offset~191",
 "FREE":"free~192",
 "HIGHER_LEVELS":"higher levels~193",
 "INCREMENTAL":"incremental~194",
 "LEFT":"left~195",
 "LEVEL":"level~196",
 "LOWER_LEVELS":"lower levels~197",
 "MIXED":"mixed~198",
 "NO_RESHAPE":"no reshape~199",
 "NON_INCREMENTAL":"non incremental~200",
 "NORTH":"north~201",
 "OPTIMAL":"optimal~202",
 "ORTHOGONAL":"orthogonal~203",
 "POLYLINE":"polyline~204",
 "RADIAL":"radial~205",
 "RIGHT":"right~206",
 "SEMI_OPTIMAL":"semi optimal~207",
 "SOUTH":"south~208",
 "SPREAD_OUT":"spread out~209",
 "STRAIGHT":"straight~210",
 "THREE_BENDS_ORTHOGONAL":"three bends orthogonal~211",
 "TILE_TO_COLUMNS":"tile to columns~212",
 "TILE_TO_GRID_FIXED_HEIGHT":"tile to grid fixed height~213",
 "TILE_TO_GRID_FIXED_WIDTH":"tile to grid fixed width~214",
 "TILE_TO_ROWS":"tile to rows~215",
 "TIP_LEAVES_OVER":"tip leaves over~216",
 "TIP_OVER_BOTH_SIDES":"tip over both sides~217",
 "TIP_OVER_EAST_WEST":"tip over east west~218",
 "TIP_OVER_WEST":"tip over west~219",
 "TIP_OVER":"tip over~220",
 "TIP_ROOTS_AND_LEAVES_OVER":"tip roots and leaves over~221",
 "TIP_ROOTS_OVER":"tip roots over~222",
 "TOP":"top~223",
 "TWO_BENDS_ORTHOGONAL":"two bends orthogonal~224",
 "WEST":"west~225",
 "EXPORT":"Export~226",
 "EXPORT_IMAGE_DIALOG_TITLE":"Export as Image~227",
 "EXPORT_IMAGE_DIALOG_QUESTION":"Would you like to export the diagram as an image? Please choose the desired format below.~228",
 "EXPORT_IMAGE_PNG_OPTION_LABEL":"[${fileExtension}]~229", //${fileExtension} will contain a file extension like PNG or JPG; creating a specific string with substitution in case we ever want to add more text to the radio button label
 "EXPORT_IMAGE_JPG_OPTION_LABEL":"[${fileExtension}]~230", //${fileExtension} will contain a file extension like PNG or JPG; creating a specific string with substitution in case we ever want to add more text to the radio button label
 "ADVANCED_SEARCH":"Advanced Search~231",
 "RESOURCES_COUNT": "Resources: [${value2}]~232", //$${value2} will contain a substituted number of items in a topology graph 
 "RELATIONSHIP_COUNT": "Relationships: [${value3}]~233", //${value3} will contain a substituted number of relationships in a topology graph
 "FILTERED_COUNT": "Filtered: [${value4}]~234", //${value4} will contain a substituted number of items in a filtered topology graph
 "SELECTED_COUNT": "Selected: [${value1}]~235", //${value4} will contain a substituted number of selected items in a topology graph
 "ALL":"All~236",
 "PARENTHETICAL_ENTRY":"[${label}] ([${parens}])~237", //This is used to create labels followed by additional information in parentheses (e.g., "XXXX (YYYY)", "Demo Group (12)", "sys1 (Topology)", etc.)
 "CUSTOMIZE_LAYOUT":"Customize layout: [${value5}]~238", //${value5} will contain a substituted name of the layout, (e.g., "Customize layout: UserTree_1") 
 "ERROR":"Error~239",
 "PENDING":"Pending~240",
 "CLOSE":"Close~241"
})
);
