/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2012, 2013 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
define("ibm/usmi/dashboard/nls/es/DashbarResources", {
	//Dashbar Resources BEGIN
	
	// dashbar icon labels
	Chassis : "Chasis",
	HostAndVs : "Hosts y VS",
	Network : "Red",
	Storage : "Almacenamiento",
	Favorites : "Favoritos",
	AllSystems : "Todos los sistemas",
	
	// Labels for Tree Toppers Links
	AllVirtualServers : "Todos los servidores virtuales",
	AllChasis : "Todos los chasis",
	AllComputeNodes : "Todos los nodos de cómputo",
	AllStoragePools : "Todas las agrupaciones de almacenamiento",
	AllStorageNodes : "Todos los nodos de almacenamiento",
	AllLogicalNetworks: "Todas las redes lógicas",
	AllVlans : "Todas las VLAN",
	AllSubnets : "Todas las subredes",
	AllSwitches : "Todos los conmutadores",
	LogicalNetworks: "Redes lógicas",
	Vlans : "VLAN",
	Subnets : "Subredes",
	Switches : "Conmutadores",
	
	// Descriptions of dashbar icons
	ChassisDescription : "Contiene chasis",
	HostAndVsDescription : "Contiene hosts y servidores virtuales",	
	NetworkDescription : "Contiene todos los sistemas de red",	
	StorageDescription : "Contiene todos los sistemas de almacenamiento",	
	FavoritesDescription : "Contiene elementos favoritos",	
	AllSystemsDescription : "Contiene todos los sistemas que se pueden gestionar incluyendo servidores, chasis, sistemas operativos, conmutadores, servidores Blade y sistemas de almacenamiento",	
	
	// Group Health Tips
	RecentEvents : "Sucesos recientes",
	NoRecentEvents : "no hay sucesos recientes",
	RecentAlerts : "Alertas recientes:",
	NoRecentAlerts : "no hay alertas recientes",
	Source : "Origen",
	DateAndTime : "Fecha y hora",
	Event : "Suceso",
	
	// General Dashbar
	ResourceDashboard : "Panel de instrumentos de recurso",
	Loading : "Cargar..."
	//Dashboard Resources end
});

