/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2012, 2013 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
define("ibm/usmi/nls/zh-cn/frameworkResources", {
	//Finder Resources BEGIN
	FinderInitialText : "查找系统或任务",
	NoTasksFound : "（找不到任务）",
	NoGroupsFound : "（找不到组）",
	NoResourcesFound : "（找不到资源）",
	Close : "关闭对话框。",
	RefreshCache : "{0} {1} 前已刷新。刷新以在结果中包括新添加/修改的资源。",
	Minutes : "分钟",
	Hours : "小时",
	Days : "天",
	Searching0 : "正在搜索。",
	Searching1 : "正在搜索...",
	Searching2 : "正在搜索...",
	FinderRefreshing : "正在刷新...",
	MoreTasks : "优化搜索词汇以取得更多结果。",
	MoreResources : "全部显示。",
	MoreGroups : "优化搜索词汇以取得更多结果。",
	FinderTaskMenu : "任务",
	FinderResourceMenu : "资源",
	FinderGroupMenu : "组",
	Chassis : "机架",
	Resources : "资源",
	FinderTooltipHelp : "使用此直接插入查找器来搜索所有任务和受管资源。",
	//tooltip
	FinderTooltipClickResources : "单击此资源以查看更多详细信息",
	FinderTooltipClickTask : "单击此处将打开一个新的浏览器窗口并启动此任务。",
	FinderTooltipClickJob : "单击此处以调度此作业。",
	FinderTooltipClickUrl : "单击此处将打开一个新的浏览器窗口并装入此 URL。",
	FinderTooltipClickPage : "单击此处以打开此页面。",
	FinderTooltipClickDialog : "单击此处以打开此对话框。",
	FinderTooltipClickGroup : "单击此组以查看其成员",
	FinderTooltipEntryType : "{0}: ",
	FinderTooltipCategory : "类别：",
	FinderTooltipExternalTask : "外部任务：",
	FinderTooltipJob : "作业：",
	FinderTooltipUrl : "URL：",
	FinderTooltipPage : "页面：",
	FinderTooltipDialog : "对话框：",
	FinderTooltipTaskDescription : "描述：",
	SelectedResources : "{0} 个所选资源：",
	SelectedResource : "'{0}':",
	SelectedResourceText : "{0} 的上下文任务",
	GlobalTasksText : "全局任务：",

	//Finder Resources END

	// Mega Menu Resources BEGIN
	Home : "主页",
	Dashboards : "仪表板",
	GettingStarted : "入门",
	InitialSetup : "初始设置",
	FlexExplorer : "Flex Explorer",
	QuickStartGuides : "快速入门指南",
	SummaryPages : "总结页面",
	VMControl : "VMControl",
	StorageControl : "Storage Control",
	NetworkControl : "Network Control",
	ServiceAndSupport : "服务和支持",
	CheckForUpdates : "IBM&reg; FSM - 检查更新",
	Systems : "系统",
	SystemsMenuHeading : "系统",
	AllGroups : "所有组",
	AllOSs : "所有操作系统",
	PowerSystemsManagement : "Power Systems 管理",
	Configuration : "配置",
	Patterns : "模式",
	Firmware : "固件",
	ShowUpdates : "显示更新",
	Discover : "发现",
	DeployComputeNodeImages : "部署服务器映像",
	DeployVirtualAppliance : "部署虚拟设备",
	Monitor : "监视",
	Status : "状态",
	ActiveStatus : "活动状态",
	EventHistory : "事件日志",
	ServiceProblems : "服务问题",
	Monitoring : "监视",
	Monitors : "监视器",
	Thresholds : "阈值",
	Compliance : "一致性",
	MonitoredSystems : "受监视系统",
	Policies : "策略",
	Automation : "自动化",
	Plans : "计划",
	Actions : "操作",
	EventFilters : "事件过滤器",
	CommandDefinitions : "命令定义",
	Jobs : "作业",
	ActiveAndScheduledJobs : "活动的作业和已调度作业",
	CreateAutomationPlan : "创建自动计划",
	Security : "安全性",
	Permissions : "许可权",
	UsersAndGroups : "用户和组",
	Roles : "角色",
	Credentials : "凭证",
	Access : "访问",
	SystemsWithNoAccess : "没有访问权的系统",
	Auditing : "审计",
	AuditLog : "审计日志",
	ChangePassword : "更改密码",
	CreateUser : "创建用户",
	Utilities : "实用程序",
	Settings : "设置",
	AutoRename : "自动重命名",
	ServiceandSupport : "服务和支持",
	ServerAuditing : "服务器审计",
	Administration : "管理",
	FSMSettings : "IBM&reg; FSM 设置",
	Plugins : "插件",
	ApplicationExtensions : "应用程序",
	UserPreferences : "用户首选项",
	EventLog : "事件日志",
	ManagementServer : "管理服务器",
	NetworkManagement : "网络管理",
	BackupAppliance : "备份 IBM&reg; FSM",
	HelpMenu : "帮助",
	IntroductionToIBMFlexExplorer : "IBM&reg; FSM 资源管理器简介",
	FindingTasksInIBMFlexExplorer : "在 IBM&reg; FSM 资源管理器中查找任务",
	Help : "帮助",
	About : "关于",
	IBMSupport : "IBM&reg; 支持机构",
	LiCTooltip : "在 {0} 中打开",
	Signout : "注销",

	//General dialog labels
	OK : "确定",
	CANCEL : "取消",
	SUBMIT : "提交",
        YES    : "是",
        NO     : "否",
	
	//Popup blocker warning
	PopupBlockerWarning : "对此站点启用了弹出式窗口拦截器。对此站点禁用浏览器弹出式窗口拦截器，然后重试。",
	
	//ISC launched in tab pages warning
	LaunchedInTabs1 : "您启动的 {0} 任务位于在其他选项卡中隐藏的浏览器选项卡中。",
	LaunchedInTabs2 : "要使用此任务，请选择该选项卡或将该选项卡移到它的独立窗口中。要避免将来发生此问题，请将独立的浏览器窗口用于 {0}。",
	InvalidUser : "用户 {0} 未知。如果服务器正在启动，请在几分钟后重试。",
		
	UserNotAuthorized : "该用户未获得此页面上的内容的授权。",
	UserNotAuthorizedDescription: "请确保为该用户分配具有足够许可权的用户角色。查看页面至少需要“组读取”和“资源浏览器”许可权。",
	
	HybridDataset: "组中有 {0} 项。已对 {1} 进行过滤，但只显示前 {2}。",
	HybridDatasetDescription: "使用搜索和过滤来缩小结果范围。",
	HybridSummaryCounts: "总数：{0}  已过滤：{1} 可用：{2} 已选择：{3}"
});

