/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2012, 2013 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
define("ibm/usmi/nls/zh-tw/frameworkResources", {
	//Finder Resources BEGIN
	FinderInitialText : "尋找系統或作業",
	NoTasksFound : "（找不到作業）",
	NoGroupsFound : "（找不到群組）",
	NoResourcesFound : "（找不到資源）",
	Close : "關閉對話框。",
	RefreshCache : "已在 {0} {1}前重新整理。重新整理以將新增/新修改的資源併入結果。",
	Minutes : "分鐘",
	Hours : "小時",
	Days : "天",
	Searching0 : "搜尋中。",
	Searching1 : "搜尋中..",
	Searching2 : "搜尋中...",
	FinderRefreshing : "重新整理中...",
	MoreTasks : "修正搜尋詞彙以取得更多結果。",
	MoreResources : "顯示全部。",
	MoreGroups : "修正搜尋詞彙以取得更多結果。",
	FinderTaskMenu : "作業",
	FinderResourceMenu : "資源",
	FinderGroupMenu : "群組",
	Chassis : "機箱",
	Resources : "資源",
	FinderTooltipHelp : "使用這個行內搜尋器，來搜尋所有作業及受管理資源。",
	//tooltip
	FinderTooltipClickResources : "按一下此資源以檢視其他詳細資料",
	FinderTooltipClickTask : "按一下這裡將開啟新的瀏覽器視窗，並啟動此作業。",
	FinderTooltipClickJob : "按一下這裡以排定此工作。",
	FinderTooltipClickUrl : "按一下這裡將開啟新的瀏覽器視窗，並載入此 URL。",
	FinderTooltipClickPage : "按一下這裡以開啟此頁面。",
	FinderTooltipClickDialog : "按一下這裡以開啟此對話框。",
	FinderTooltipClickGroup : "按一下此群組以檢視其成員",
	FinderTooltipEntryType : "{0}: ",
	FinderTooltipCategory : "種類： ",
	FinderTooltipExternalTask : "外部作業：",
	FinderTooltipJob : "工作：",
	FinderTooltipUrl : "URL：",
	FinderTooltipPage : "頁面：",
	FinderTooltipDialog : "對話框：",
	FinderTooltipTaskDescription : "說明：",
	SelectedResources : "{0} 選取的資源：",
	SelectedResource : "'{0}':",
	SelectedResourceText : "{0} 的環境定義作業",
	GlobalTasksText : "廣域作業：",

	//Finder Resources END

	// Mega Menu Resources BEGIN
	Home : "首頁",
	Dashboards : "儀表板",
	GettingStarted : "已啟動",
	InitialSetup : "起始設定",
	FlexExplorer : "Flex 瀏覽器",
	QuickStartGuides : "快速入門手冊",
	SummaryPages : "摘要頁面",
	VMControl : "VMControl",
	StorageControl : "儲存體控制",
	NetworkControl : "網路控制",
	ServiceAndSupport : "服務及支援",
	CheckForUpdates : "IBM&reg; FSM - 檢查更新項目",
	Systems : "系統",
	SystemsMenuHeading : "系統",
	AllGroups : "所有群組",
	AllOSs : "所有 OS",
	PowerSystemsManagement : "Power 系統管理",
	Configuration : "配置",
	Patterns : "型樣",
	Firmware : "韌體",
	ShowUpdates : "顯示更新項目",
	Discover : "探索",
	DeployComputeNodeImages : "部署伺服器映像檔",
	DeployVirtualAppliance : "部署虛擬設備",
	Monitor : "監視器",
	Status : "狀態",
	ActiveStatus : "作用中狀態",
	EventHistory : "事件日誌",
	ServiceProblems : "服務問題",
	Monitoring : "監視",
	Monitors : "監視器",
	Thresholds : "臨界值",
	Compliance : "相符性",
	MonitoredSystems : "受監視系統",
	Policies : "原則",
	Automation : "自動化",
	Plans : "計劃",
	Actions : "動作",
	EventFilters : "事件過濾器",
	CommandDefinitions : "指令定義",
	Jobs : "工作",
	ActiveAndScheduledJobs : "作用中及已排定工作",
	CreateAutomationPlan : "建立自動化計劃",
	Security : "安全",
	Permissions : "許可權",
	UsersAndGroups : "使用者及群組",
	Roles : "角色",
	Credentials : "認證",
	Access : "存取",
	SystemsWithNoAccess : "不可存取的系統",
	Auditing : "正在審核",
	AuditLog : "審核日誌",
	ChangePassword : "變更密碼",
	CreateUser : "建立使用者",
	Utilities : "公用程式",
	Settings : "設定",
	AutoRename : "自動重新命名",
	ServiceandSupport : "服務及支援",
	ServerAuditing : "伺服器審核",
	Administration : "管理",
	FSMSettings : "IBM&reg; FSM 設定",
	Plugins : "外掛程式",
	ApplicationExtensions : "應用程式",
	UserPreferences : "使用者喜好設定",
	EventLog : "事件日誌",
	ManagementServer : "管理伺服器",
	NetworkManagement : "網路管理",
	BackupAppliance : "備份 IBM&reg; FSM",
	HelpMenu : "說明",
	IntroductionToIBMFlexExplorer : "IBM&reg; FSM 瀏覽器簡介",
	FindingTasksInIBMFlexExplorer : "正在「IBM&reg; FSM 瀏覽器」中尋找作業",
	Help : "說明",
	About : "關於",
	IBMSupport : "IBM&reg; 支援中心",
	LiCTooltip : "在 {0} 中開啟",
	Signout : "登出",

	//General dialog labels
	OK : "確定",
	CANCEL : "取消",
	SUBMIT : "提交",
        YES    : "是",
        NO     : "否",
	
	//Popup blocker warning
	PopupBlockerWarning : "已對此網站啟用蹦現畫面封鎖器。請對此網站停用瀏覽器蹦現畫面封鎖器，然後再試一次。",
	
	//ISC launched in tab pages warning
	LaunchedInTabs1 : "您啟動的 {0} 作業位於隱藏在其他標籤之後的瀏覽器標籤中。",
	LaunchedInTabs2 : "若要使用此作業，請選取標籤或將標籤移至其本身的視窗。若要避免未來發生此狀況，請針對 {0} 使用個別的瀏覽器視窗。",
	InvalidUser : "使用者 {0} 不明。如果伺服器已啟動，請在數分鐘之後重試。",
		
	UserNotAuthorized : "使用者未獲得此頁面內容的授權。",
	UserNotAuthorizedDescription: "請確定指派給使用者的 user 角色具有適當的權限。至少需要「群組讀取」及「資源瀏覽器」權限，才能檢視頁面。",
	
	HybridDataset: "群組中有 {0} 個項目。已過濾出 {1} 個項目，但只會顯示前 {2} 個項目。",
	HybridDatasetDescription: "請使用搜尋及過濾器來縮小結果範圍。",
	HybridSummaryCounts: "總計：{0}  已過濾：{1}  可用：{2}  已選取：{3}"
});

