require({cache:{
'url:idx/form/templates/ComboLink.html':"<span class=\"dijitInline ${baseClass} ${idxBaseClass}\" \r\n\t  dojoAttachPoint=\"containerNode, _arrowWrapperNode, _aroundNode\" alt=\"${alt}\" \r\n\t><a id=\"${id}_link\" dojoAttachPoint=\"linkNode,focusNode\" \r\n\t    wairole=\"link\" role=\"link\" class=\"${baseClass}Anchor\" tabindex=\"${tabIndex}\"></a\r\n\t><span class=\"dijitInline ${baseClass}Separator\" role=\"presentation\" wairole=\"presentation\"></span\r\n\t><div dojoAttachPoint=\"_buttonNode\" id=\"${id}_arrow\" class=\"${baseClass}ArrowButton\" \r\n\t\t   role=button\" wairole=\"button\" aria-haspopup=\"true\" aria-labelledby=\"${id}_link\" tabindex=\"${tabIndex}\"\r\n\t><span class=\"dijitReset dijitInline dijitArrowButtonInner\" tabindex=\"-1\"></span\r\n\t><span tabindex=\"-1\" role=\"presentation\" wairole=\"presentation\" class=\"dijitReset dijitInline dijitArrowButtonChar\">&#9660;</span\r\n\t></div>\r\n</span>"}});
(function(){

var factory = function(dojo_declare, dojo_html, dojo_event, dojo_keys, idx_form_DropDownLink, templateString){

/**
 * @name idx.form.ComboLink
 * @class Link with own action and a drop-down menu.
 * @augments idx.form.DropDownLink
 */
return dojo_declare("idx.form.ComboLink", idx_form_DropDownLink,
/**@lends idx.form.ComboLink#*/
{
	baseClass: "idxComboLink",
	
	templateString: templateString,

	postCreate: function() {
		this.inherited(arguments);
		
		this.connect(this._buttonNode, "onkeypress", "_onKey");
		this.connect(this._buttonNode, "onkeyup", "_onKeyUp");
	},
	
	/**
	 * Updates tabIndex.
	 * @private
	 */
	_setStateClass: function(){
		this.inherited(arguments);

		dojo_html.attr(this._buttonNode, "tabIndex", (this.disabled ? -1 : this.tabIndex));
	},

	/**
	 * Override since Dojo 1.6 dijit._HasDropDown listens for key events
	 * on the focus node to activate the drop down instead of the _buttonNode.
	 * @private
	 * @param {Object} e
	 */
	_onKey: function(e) {
		// ignore the vent if disabled or modifier keys are pressed
		if (this.disabled || e.altKey || e.ctrlKey) {
			return;
		}
		
		// on the focus node, only the down arrow is allowed to activate
		// the drop-down -- not the space or enter key (problem in Dojo 1.6)
		if (e.target == this.focusNode && e.charOrCode != dojo_keys.DOWN_ARROW) {
			return;
		}
		this._lastFocusedNode = e.target;
		this.inherited(arguments);
	},
	
	_onKeyUp: function(e) {
		// ignore the vent if disabled or modifier keys are pressed
		if (this.disabled || e.altKey || e.ctrlKey) {
			return;
		}
		
		// on the focus node, only the down arrow is allowed to activate
		// the drop-down -- not the space or enter key (problem in Dojo 1.6)
		if (e.target == this.focusNode && e.charOrCode != dojo_keys.DOWN_ARROW) {
			return;
		}
		this.inherited(arguments);
	},

	focus: function() {
		if (this._lastFocusedNode) {
			this._lastFocusedNode.focus();
		} else {
			this.focusNode.focus();
		}
	}
});

}; // end of factory

var version = (window["dojo"] && dojo.version);
if(version && version.major == 1 && version.minor == 6){
	dojo.provide("idx.form.ComboLink");
	dojo.require("idx.form.DropDownLink");
	var dojo_event = {stop: dojo.stopEvent};
	var templateString = dojo.cache("idx.form", "templates/ComboLink.html", "<span class=\"dijitInline ${baseClass} ${idxBaseClass}\" \r\n\t  dojoAttachPoint=\"containerNode, _arrowWrapperNode, _aroundNode\" alt=\"${alt}\" \r\n\t><a id=\"${id}_link\" dojoAttachPoint=\"linkNode,focusNode\" \r\n\t    wairole=\"link\" role=\"link\" class=\"${baseClass}Anchor\" tabindex=\"${tabIndex}\"></a\r\n\t><span class=\"dijitInline ${baseClass}Separator\" role=\"presentation\" wairole=\"presentation\"></span\r\n\t><div dojoAttachPoint=\"_buttonNode\" id=\"${id}_arrow\" class=\"${baseClass}ArrowButton\" \r\n\t\t   role=button\" wairole=\"button\" aria-haspopup=\"true\" aria-labelledby=\"${id}_link\" tabindex=\"${tabIndex}\"\r\n\t><span class=\"dijitReset dijitInline dijitArrowButtonInner\" tabindex=\"-1\"></span\r\n\t><span tabindex=\"-1\" role=\"presentation\" wairole=\"presentation\" class=\"dijitReset dijitInline dijitArrowButtonChar\">&#9660;</span\r\n\t></div>\r\n</span>");
	factory(dojo.declare, dojo, dojo_event, dojo.keys, idx.form.DropDownLink, templateString);
}else{
	define("idx/form/ComboLink", [
		"dojo/_base/declare",
		"dojo/_base/html",
		"dojo/_base/event",
		"dojo/keys",
		"idx/form/DropDownLink",
		"dojo/text!./templates/ComboLink.html"
	], factory);
}

})();
