/*********************************************************** {COPYRIGHT-TOP} ***
* Licensed Materials - Property of IBM
* Tivoli Widget Library
*
* (C) Copyright IBM Corp. 2013.  All Rights Reserved.
*
* US Government Users Restricted Rights - Use, duplication, or
* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
************************************************************ {COPYRIGHT-END} **/
define("dojoe/ssd/quickedit/nls/GaugeOptions", {root:
({	
	"TOPLABEL":"Label above Gauge",
	"LEFTLABEL":"Label at leading edge",
	"INFORMATIONAL":"Informational",
	"NORMAL":"Normal",
	"MINOR":"Minor",
	"MAJOR":"Major",
	"CRITICAL":"Critical",
	"FATAL":"Fatal",
	"MINVALUE":"Minimum Value",
	"MAXVALUE":"Maximum Value",
	"MAJORTICKSSEPARATION":"Major Ticks Separation",
	"MINORTICKSSEPARATION":"Minor Ticks Separation",
	"UNIT":"Unit",
	"SHOWTHRESHOLDSTRIP":"Show Threshold Strip",
	"DESC_TOPLABEL":"Optional label displayed above the Gauge",
	"DESC_LEFTLABEL":"Optional Label displayed at the Leading Edge",
	"DESC_INFORMATIONAL":"Threshold Value indicating start of Informational Status",
	"DESC_NORMAL": "Threshold Value indicating start of Normal Status",
	"DESC_MINOR":"Threshold Value indicating start of Minor Warning Status",
	"DESC_MAJOR":"Threshold Value indicating start of Major Warning Status",
	"DESC_CRITICAL":"Threshold Value indicating start of Critical Status",
	"DESC_FATAL":"Threshold Value indicating start of Fatal Status",
	"DESC_MINVALUE":"Minimum Value that the gauge can represent",
	"DESC_MAXVALUE":"Maximum Value that the gauge can represent",
	"DESC_MAJORTICKSSEPARATION":"Distance between each major tick(major graduations) on the gauge",
	"DESC_MINORTICKSSEPARATION":"Distance between each minor tick(minor graduations) on the gauge",
	"DESC_UNIT":"Enter a metric for the gauge",
	"DESC_SHOWTHRESHOLDSTRIP":"Disabling this won't show the thresholds range on gauge",
	"VALUE":"Value",
	"DESC_VALUE":"Numeric value/Status expected",
	"MSGDIALOG_GAUGES_TICKS_INVALID_PARAMS":"Please keep the number of ticks within 100.",
	"MSGDIALOG_GAUGES_INVALID_RANGE":"Maximum value should be greater than minimum value.",
	"MSGDIALOG_GAUGES_GREATER_THAN_MAX":"Threshold value is not in the range of minimum and maximum value.",
	"MSGDIALOG_GAUGES_INVALID_EXPONENT" : "Threshold value should be numeric",
	"NONE": 'None',
	"NAME_UIPREVIEW": "Enable UI Previews",
	"DESC_UIPREVIEW": "Selecting this will enable UI Preview support for Open Services for Lifecycle Collaboration"
}),
"ar": true,
"cs": true,
"da": true,
"de": true,
"es": true,
"el": true,
"fi": true,
"fr": true,
"he": true,
"hr": true,
"hu": true,
"it": true,
"ja": true,
"ko": true,
//65433: lv locale with test data for TVT needs to be disabled
//"lv": true,
"nb": true,
"nl": true,
"pl": true,
"pt-br": true,
"ru": true,
"sl": true,
"sv": true,
"th": true,
"tr": true,
"zh": true,
"zh-tw": true
});
