require({cache:{
'url:dojoe/timeselector/ssd/templates/QuickEdit.html':"<div class=\"twlssd\">\n\t<table role=\"presentation\">\n\t\t<tr>\n\t\t\t<td style=\"width:20%;\"><p class=\"label\">${_titleText}</p></td>\n\t\t\t<td><p class=\"label\">:</p></td>\n\t\t\t<td><input data-dojo-attach-point=\"title\" type=\"text\" name=\"Title\" size=\"25\"></td>\n\t\t</tr>\n\t\t<tr>\n\t\t\t<td style=\"width:20%;\"><p class=\"label\">${_calendarText}</p></td>\n\t\t\t<td><p class=\"label\">:</p></td>\n\t\t\t<td>\n\t\t\t\t<div data-dojo-attach-point='calendar' name='calendar'></div>\n\t\t\t</td>\n\t\t</tr>\t\t\n\t</table>\n\t<div style=\"height:310px\"></div>\n\t<hr/>\n\t<form method=\"post\" action=\"${formURL}\" id=\"${portletId}_editForm\">\n\t\t<div align=\"right\">\n\t\t\t<button id=\"${id}_savebutton\" class=\"isc-table-toolbar-button\" value=\"OK\" name=\"savebutton\" onclick=\"quickEdit.onEditOK(this); return false;\">${_okText}</button>\n\t\t\t<button id=\"${id}_cancelbutton\" class=\"isc-table-toolbar-button\" value=\"Cancel\" name=\"cancelbutton\" onclick=\"quickEdit.onEditCancel(this); return false;\">${_cancelText}</button>\n\t\t</div>\n\t</form>\t\n\n</div>"}});
/*********************************************************** {COPYRIGHT-TOP} ***
* Licensed Materials - Property of IBM
* Tivoli Widget Library
*
* (C) Copyright IBM Corp. 2013.  All Rights Reserved.
*
* US Government Users Restricted Rights - Use, duplication, or
* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
************************************************************ {COPYRIGHT-END} **/
define("dojoe/timeselector/ssd/QuickEdit", [
	"dojo/_base/declare",
	"dojo/has",
	"dojo/_base/lang",
	"dojo/dom-style",
	"dojox/mobile/Heading",
	"dijit/_Widget",
	"dijit/_TemplatedMixin",
	"dijit/form/Select",
	"dojo/text!./templates/QuickEdit.html",
	"dojo/i18n!./nls/QuickEdit"
], function (declare,has,lang, domStyle, heading, _Widget, _TemplatedMixin, combo, template, nlsBundle) {
	 return declare("dojoe.timeselector.ssd.QuickEdit", [_Widget, _TemplatedMixin], {
		templateString: template, 
		nls: nlsBundle,
		portletId: null,
		formURL:null,
		titleVal:null,
		combo: null,
		_titleText: null,
		_okText: null,
		_cancelText: null,
		_calendarText: null,
		
		constructor: function (props) {
		},
		
		postCreate:function () {	
			this.title.value = 	this.titleVal;
			var options = [
				            {label:nlsBundle.GREGORIAN, value:"G"},
				            {label:nlsBundle.BUDDHIST, value:"B"},
				            {label:nlsBundle.HEBREW, value:"H"},
				            {label:nlsBundle.ISLAMIC, value:"I"}			               
			               ];
			this.combo = new dijit.form.Select({
				id: this.portletId + "_calendar",
	            name: "calendar",
	            value: "G",
	            options: options,
	            forceWidth: true
	        }, this.calendar);
			domStyle.set(this.combo.domNode,"width","85%");
			domStyle.set(this.combo.domNode,"margin","0");
			domStyle.set(this.combo.titleNode, "width", "10%"); 
			this.combo.startup();
		},
		
		postMixInProperties: function() {
			this._titleText = nlsBundle.TITLE;
			this._okText = nlsBundle.OK;
			this._cancelText = nlsBundle.CANCEL;
			this._calendarText = nlsBundle.CALENDAR;
		},

		destroy: function () {
			this.combo.destroy();
			this.inherited(arguments);		
		}		
	});
});
