require({cache:{
'url:dojoe/treetablex/templates/ConfigureColumnsDialog.html':"<div>\r\n\t<div dojoType=\"dijit.Dialog\" dojoAttachPoint=\"dialog\"\ttitle=\"${resources_.CONFIGURE_TREETABLE}\" tabindex=0 role=\"dialog\">\r\n\t\t<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\" role=\"presentation\" style=\"width:100%height:100%\">\r\n\t\t\t<tr height=\"20%\" style=\"vertical-align:top;\"><td><label>${resources_.COLUMNS_VISIBLE}</label></td><tr>\r\n\t\t\t<tr><td>\r\n\t\t\t\t<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\" role=\"presentation\">\r\n\t\t\t\t\t<tbody>\r\n\t\t\t\t\t\t<tr><td>\r\n\t\t\t\t\t\t\t\t<span dojoAttachPoint=\"selectAllButton\" role=\"button\">\r\n\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t<td>\r\n\t\t\t\t\t\t\t\t<span dojoAttachPoint=\"deselectAllButton\" role=\"button\">\r\n\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t</tr>\r\n\t\t\t\t\t</tbody>\r\n\t\t\t\t</table>\r\n\t\t\t</td></tr>\r\n\t\t\t<tr><td>\r\n\t\t\t\t<table border=\"0\" cellspacing=\"0\" cellpadding=\"0\" width=\"100%\"  role=\"presentation\">\r\n\t\t\t\t\t<tbody>\r\n\t\t\t\t\t\t<tr valign=\"center\">\r\n\t\t\t\t\t\t\t<td width=\"90%\" height=\"100%\">\t\t\t\t\t\r\n\t\t\t\t\t\t\t\t<div id=\"${id}tabs\" dojoType=\"dijit.layout.BorderContainer\" class=\"dialog\" style=\"height:200px;width:260px;\">\r\n\t\t\t\t\t\t\t\t\t<div dojoType=\"dijit.layout.ContentPane\" region=\"top\" aria-label=\"Columns list to select\">\t\t\t\t\r\n\t\t\t\t\t\t\t\t\t<div  dojoAttachPoint=\"enhancedGridNode\" style=\"height:170px;width:200px;\" role=\"grid\"></div>\r\n\t\t\t\t\t\t\t\t\t</div>\r\n\t\t\t\t\t\t\t\t</div>\r\n\t\t\t\t\t\t\t</td>\r\n\t\t\t\t\t\t\t<td width=\"10%\" height=\"100%\">\r\n\t\t\t\t\t\t\t\t<table role=\"presentation\">\r\n\t\t\t\t\t\t\t\t\t<tr><td><span dojoAttachPoint=\"upButton\" role=\"button\"></td></tr>  \r\n\t\t\t\t\t\t\t\t\t<tr><td><span dojoAttachPoint=\"downButton\" role=\"button\"></td></tr> \r\n\t\t\t\t\t\t\t\t</table>\r\n\t\t\t\t\t\t</td></tr>\t\r\n\t\t\t\t\t</tbody>\t\t\r\n\t\t\t\t</table>\t\t\t\t\t\t\t\r\n\t\t\t</td></tr>\r\n\t\t\t<tr><td>\r\n\t\t\t\t<button value=\"${resources_.OK}\" dojoType=\"dijit.form.Button\" dojoAttachEvent=\"onClick:onOK,onKeypress:onOK\" role=\"button\">${resources_.OK}</button>\r\n\t\t\t\t&nbsp;&nbsp;<button value=\"${resources_.CANCEL}\" dojoType=\"dijit.form.Button\" dojoAttachPoint=\"cancelButton\" dojoAttachEvent=\"onClick:onCancel,onKeypress:onCancel\" role=\"button\">${resources_.CANCEL}</button>\r\n\t\t\t</td></tr>\r\n\t\t</table>\r\n\t</div>\r\n</div>\r\n"}});
/*********************************************************** {COPYRIGHT-TOP} ***
* Licensed Materials - Property of IBM
* Tivoli Widget Library
*
* (C) Copyright IBM Corp. 2013.  All Rights Reserved.
*
* US Government Users Restricted Rights - Use, duplication, or
* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
************************************************************ {COPYRIGHT-END} **/
define("dojoe/treetablex/_ConfigureColumnsDialog", [
	"dojo/_base/declare",
	"dijit/_WidgetBase",
	"dijit/_TemplatedMixin",
	"dijit/_WidgetsInTemplateMixin",
	"dijit/Dialog",
	"dijit/form/Button",
	"dijit/layout/BorderContainer",
	"dijit/layout/ContentPane",
	"dojo/data/ItemFileWriteStore",
	"dojox/grid/EnhancedGrid",
	"dojo/_base/lang",
	"dojo/_base/array",
	"dojo/dom-style",
	"dojo/i18n!dojoe/treetablex/nls/TreeTable",
	"dojo/text!./templates/ConfigureColumnsDialog.html"
	], function (declare, _WidgetBase, _TemplatedMixin, _WidgetsInTemplateMixin, Dialog, Button, BorderContainer, ContentPane, ItemFileWriteStore, EnhancedGrid, Lang, Array, domStyle, _resources, template) {

	_ConfigureColumnsDialog = declare('dojoe.treetablex._ConfigureColumnsDialog', [ _WidgetBase, _TemplatedMixin, _WidgetsInTemplateMixin ], {	

		// summary: 		This class handles all UI rendering for configure column dialog options.
		// description: ConfigureColumnsDialog is a widget to control all the operations  
        //              on the dialog.
		// tags: private
	
		widgetsInTemplate: true,
		templateString: template,
		optionsWidget_: null,
		treeTable: null,
		indirectSelection: null,
		enableColumnReorder:null,
		enhancedGrid: null,
		columndata:null,
		gridStructure: null,
		resources_: null,
		
		constructor: function() {
			this.resources_ = _resources;
		},
		
		postCreate: function() { 
		//summary: inherited method from the _Widget
		//description: Instantiate the TreeTableOptions for the the operations of configurecolumn.
			this.inherited ("postCreate", arguments);
			console.debug("this.treeTable._reorderedColumns..");
			console.debug(this.treeTable._reorderedColumns);
			columndata = {
					identifier: 'id',
					label: 'id',
					items: []
				};
			if(this.treeTable._reorderedColumns) {
				columndata.items = this.treeTable._reorderedColumns;
			} else {
				var columns=this.gridStructure;
				var names=[];
				for (var i=0 in columns) {
					var column=columns[i];
					var size=dojo.trim(column.name).length;
					if(size > 0){
						if(column.expandLevel != 'all'){
							if(true) {
							names.push(column);
							}
						}
					}					
				}				
				
				var len = names.length;
				for(var i=0; i < names.length; ++i){
					var row ={id : (i+1), 'name': names[i].name, 'hidden': !names[i].hidden} ;
					columndata.items.push(row);
				}
			}
			console.debug("columndata");
			console.debug(columndata);
			
			var grid_layout = [{
				rows:[
					{ field: "hidden", width: "30%", name: this.resources_.VISIBLE, editable:true, cellType: dojox.grid.cells.Bool},
					{ field: "name", width: "70%", name: this.resources_.COLUMNS}					
				]
			}];
			var pluginsForGrid = {};	
			var itemStore = new ItemFileWriteStore({data:columndata});			
			var gridParams ={
				store : itemStore,
				structure : grid_layout,
				plugins : pluginsForGrid,
				selectionMode:'single',
				canSort: function(){return false;},
				keepSelection: false
			};
			this.enhancedGrid = new EnhancedGrid(gridParams, this.enhancedGridNode);
			this.connect(this, "resize",this.enhancedGrid, "resize");
			
			var selectIcon = new Button({
				id: this.id+"selectAllIcon",
				showLabel: false,
				iconClass: "selectAllIcon",
				label: this.resources_.SELECT_ALL
			},this.selectAllButton);
				
			selectIcon.onClick = Lang.hitch (this, "onSelectAll");
			selectIcon.onKeypress = Lang.hitch (this, "onSelectAll");		
			
			var deSelectIcon = new Button({
				id: this.id+"deselectAllIcon",
				showLabel: false,
				iconClass: "deselectAllIcon",
				label: this.resources_.DESELECT_ALL
			},this.deselectAllButton);
				
			deSelectIcon.onClick = Lang.hitch (this, "onDeselectAll");
			deSelectIcon.onKeypress = Lang.hitch (this, "onDeselectAll");
				
			if(this.enableColumnReorder){
				var upIcon = new Button({
					id: this.id+"upIcon",
					showLabel: false,
					iconClass: "upIcon",
					label: this.resources_.UP
				},this.upButton);
					
				upIcon.onClick = Lang.hitch (this, "onUp");
				upIcon.onKeypress = Lang.hitch (this, "onUp");		
				
				var downIcon = new Button({
					id: this.id+"downIcon",
					showLabel: false,
					iconClass: "downIcon",
					label: this.resources_.DOWN
				},this.downButton);
					
				downIcon.onClick = Lang.hitch (this, "onDown");
				downIcon.onKeypress = Lang.hitch (this, "onDown");
			}else {
				domStyle(this.upButton.parentNode, "width", "0px");
				domStyle(this.downButton.parentNode, "width", "0px");
			}
			this.connect(this.dialog, "onHide",Lang.hitch (this, this.kill));
			
		},		
		
		onSelectAll: function(){
		//summary: selects all the column shown in the ConfigureColumnsDialog		
			var rowCount = this.enhancedGrid.rowCount;
			for (var i = 0; i < rowCount; i++) {
				columndata.items[i].hidden[0]=true;
			}
			this.enhancedGrid._refresh();	
		},	
		
		onDeselectAll: function(){		
		//summary: deselects all the column shown in the ConfigureColumnsDialog
			var rowCount = this.enhancedGrid.rowCount;
			for (var i = 0; i < rowCount; i++) {
				columndata.items[i].hidden[0]=false;
			}
			this.enhancedGrid._refresh();
		},
		
		onOK: function () {
			var rowCount = this.enhancedGrid.rowCount;
			var columns=this.gridStructure;
			var reorderedcolumn=[];
			var persistOrder=[];
			reorderedcolumn[0]=columns[0];
			for (var i = 0; i < rowCount; i++) {
				var item=this.enhancedGrid.getItem(i);
				console.debug("item...");
				console.debug(item);
				for (var j = 0; j < columns.length ; j++) {
						if(item.name[0] === columns[j].name) {
							persistOrder.push(item);
							if(item.hidden[0]==true){
								reorderedcolumn.push(columns[j]);
							}
						}
				}
			}
			console.debug("persistOrder ...");
			console.debug(persistOrder);
			console.debug("reorderedcolumn ...");
			console.debug(reorderedcolumn);
			this.treeTable._reorderedColumns = persistOrder;
			this.treeTable._grid.setColumns(reorderedcolumn);
			this.hide();
		},
		
		onCancel: function () {
			this.hide();
		},		
		
		clearSelection: function () {
			this.enhancedGrid.selection.clear();
		},			
		
		onUp: function () {
			var selectedIndex = this.enhancedGrid.selection.selectedIndex;
			if(selectedIndex <= 0) return;
			var itemsNew = [];
			if (selectedIndex-1 >= 0)
				itemsNew = itemsNew.concat(columndata.items.slice(0,selectedIndex-1));
			itemsNew = itemsNew.concat(this.enhancedGrid.selection.getSelected());
			if (selectedIndex-1 >= 0)
				itemsNew.push(columndata.items[selectedIndex-1]);				
			itemsNew = itemsNew.concat(columndata.items.slice(selectedIndex+1, columndata.items.length));				
			this.enhancedGrid.store.close();
			columndata.items = itemsNew;
			this.enhancedGrid.store = new ItemFileWriteStore({data:columndata});
			this.enhancedGrid.selection.clear();
			this.enhancedGrid._refresh();
			this.enhancedGrid.selection.addToSelection(selectedIndex-1);
		},	

		onDown: function () {
			var selectedIndex = this.enhancedGrid.selection.selectedIndex;
			if(selectedIndex < 0) return;
			if(selectedIndex == columndata.items.length-1) return;
			var itemsNew = [];
			itemsNew = itemsNew.concat(columndata.items.slice(0,selectedIndex));
			if(columndata.items[selectedIndex+1] !== 'undefined')
				itemsNew.push(columndata.items[selectedIndex+1]);			
			itemsNew = itemsNew.concat(this.enhancedGrid.selection.getSelected());
			if(columndata.items[selectedIndex+2] !== 'undefined')
				itemsNew = itemsNew.concat(columndata.items.slice(selectedIndex+2, columndata.items.length));				
			this.enhancedGrid.store.close();
			columndata.items = itemsNew;
			this.enhancedGrid.store = new ItemFileWriteStore({data:columndata});
			this.enhancedGrid.selection.clear();
			this.enhancedGrid._refresh();			
			this.enhancedGrid.selection.addToSelection(selectedIndex+1);
		},			
		
		_selectColumns: function(){
			var rowCount = this.enhancedGrid.rowCount;
			for (var i = 1; i < rowCount; i++) {
				var item=this.enhancedGrid.getItem(i);
				console.debug("item...");
				console.debug(item);
				var status = this._checkColumnVisible(item.name[0]);
				if(status == false) {
					item.hidden[0]=false;
				}
				
			}
		},
		
		_checkColumnVisible: function(colField) {
			var cols = this.treeTable._grid.structure;
			for (var i in cols) {
				if(i){
					if(cols[i].name == colField){
						return true;
					}
				}
			}
			return false;
		},
		
		show: function () {
			this.dialog.show();
			this.enhancedGrid._refresh();
			//	this.enhancedGrid.startup();
			this._selectColumns();
			dijit.byId (this.id + "tabs").resize();
		},
		
		hide: function () {
			this.dialog.hide();
		},	
		
		kill: function () {
			//call destroy to completely destroy the widget...
			/*var id = this.id;
			var dId=this.dialog.id;
			this.dialog.destroyRecursive();
			dijit.registry.remove (dId);
			this.destroyRecursive();
			dijit.registry.remove (id);*/
			setTimeout (Lang.hitch (this, this.destroy), 100);
		},
		
		destroy: function(){
			// summary:  Destroys this widget.
			// tags: public	
			//memory leak issue: custom destroy method to take care of removing all widgets					
			try{
				delete this.resources_;
				//this is for destroying child templated widgets 
				//this should happen by itself but need to figure out why dijit._Templated is not taking care of it...
				var dijitDialog = dijit.byId(this.dialog);
				var borderContID = this.id +'tabs';
				var borderContainer = dijit.byId(borderContID );
				if(borderContainer)borderContainer.destroyRecursive();
				if(dijitDialog)dijitDialog.destroyRecursive();
				var widgets = dijit.findWidgets(this.domNode);
				dojo.forEach(widgets, function(w) {
					if(w){
						if(w.destroyRecursive){
							w.destroyRecursive();
						} else if(w.destroy){
							w.destroy();
						}
					}
				});
				// this is for widgets added as child to this widget and their children..
				//not present in template
				var widgetArr = this.getChildren();
				dojo.forEach(widgetArr, function (child) {
					if(child){
						if(child.destroyRecursive){
							child.destroyRecursive();
						} else if(child.destroy){
							child.destroy();
						}
					}
				});
				this.inherited(arguments);
			}catch(ex){
				console.warn("Widget destroy failed: "+this.id+", ex="+ex.name+":"+ex.message);
			}
		}
	});
	return _ConfigureColumnsDialog;
});