// wrapped by build app
define("ibm/tivoli/tip/dijit/Breadcrumb", ["dijit","dojo","dojox","dojo/require!dijit/_Widget,dijit/_Container,dijit/_Contained,dijit/_Templated,dijit/form/Button"], function(dijit,dojo,dojox){
/******************************************************* {COPYRIGHT-TOP-OCO} ***
 * Licensed Materials - Property of IBM
 *
 * (C) Copyright IBM Corp. 2008 All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication, or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ******************************************************* {COPYRIGHT-END-OCO} ***/
dojo.provide("ibm.tivoli.tip.dijit.Breadcrumb");
dojo.require("dijit._Widget");
dojo.require("dijit._Container");
dojo.require("dijit._Contained");
dojo.require("dijit._Templated");
dojo.require("dijit.form.Button");
 
dojo.declare(
		"ibm.tivoli.tip.dijit.Breadcrumb",
		[ dijit.form.Button, dijit._Contained ],
	{
		baseClass: "dijitBreadcrumb",
/*		templateString:"<div class=\"dijit dijitLeft dijitInline \"\n\t><div class='dijitRight'\n\t\t><button class=\"dijitStretch dijitBreadcrumb dijitButtonContents\" dojoAttachPoint=\"focusNode,titleNode\"\n\t\t\ttype=\"${type}\" waiRole=\"button\" waiState=\"labelledby-${id}_label\"\n\t\t\t><span class=\"dijitInline ${iconClass}\" dojoAttachPoint=\"iconNode\" \n \t\t\t\t><span class=\"dijitToggleButtonIconChar\">&#10003</span \n\t\t\t></span\n\t\t\t><span class=\"dijitBreadcrumb\" id=\"${id}_label\" dojoAttachPoint=\"containerNode\">${label}</span\n\t\t></button\n\t></div\n></div>\n",*/
		
		templateString:"<div class=\"dijit dijitLeft dijitInline \"\n\tdojoAttachEvent=\"onclick:_onClick,onmouseenter:_onMouse,onmouseleave:_onMouse,onmousedown:_onMouse\"\n\t><div class='dijitRight'\n\t\t><button class=\"dijitStretch dijitBreadcrumb dijitButtonContents\" dojoAttachPoint=\"focusNode,titleNode\"\n\t\t\ttype=\"${type}\" waiRole=\"button\" waiState=\"labelledby-${id}_label\"\n\t\t\t><span class=\"dijitInline ${iconClass}\" dojoAttachPoint=\"iconNode\" \n \t\t\t\t><span class=\"dijitToggleButtonIconChar\">&#10003</span \n\t\t\t></span\n\t\t\t><span class=\"dijitBreadcrumb\" id=\"${id}_label\" dojoAttachEvent=\"onclick:_onClick,onmouseenter:_onMouse,onmouseleave:_onMouse,onmousedown:_onMouse\"dojoAttachPoint=\"containerNode\">${label}</span\n\t\t></button\n\t></div\n></div>\n",
/*
dojoAttachEvent=\"onclick:_onButtonClick,onmouseenter:_onMouse,onmouseleave:_onMouse,onmousedown:_onMouse\"

*/
		isCurrent: function() {
			return (this.getNextSibling()==null);
		},
		
		constructor: function () {
		},
		postCreate: function() {
			this.inherited(arguments);
		},
		destroy: function () {
			this.destroyDescendants();
			this.inherited (arguments);
		},
		
		_setStateClass:function(){
			if(this.isCurrent()){
				this.baseClass="dijitBreadcrumbCurrent";	//setting special class for the current breadcrumb
			} else {
				this.baseClass="dijitBreadcrumb";
			}; 
			this.inherited(arguments);
		},
		//Added fix for IBM Dojo 1.5
		_onMouse: function(){
		}
	});


});
