// wrapped by build app
define("ibm/tivoli/tip/dijit/tests/tivwizard_pages/TestPage1", ["dijit","dojo","dojox","dojo/require!ibm/tivoli/tip/dijit/TivPage"], function(dijit,dojo,dojox){
/*********************************************************** {COPYRIGHT-TOP} ***
* Licensed Materials - Property of IBM
* Tivoli Widget Library
*
* (C) Copyright IBM Corp. 2013.  All Rights Reserved.
*
* US Government Users Restricted Rights - Use, duplication, or
* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
************************************************************ {COPYRIGHT-END} **/
dojo.provide("ibm.tivoli.tip.dijit.tests.tivwizard_pages.TestPage1");

dojo.require("ibm.tivoli.tip.dijit.TivPage");

dojo.declare("ibm.tivoli.tip.dijit.tests.tivwizard_pages.TestPage1", [ibm.tivoli.tip.dijit.TivPage],
{
  templateString:"<div>\r\n  <div class=\"tiv-page-header\">\r\n    <h2>General</h2>\r\n    <p>General information about this wizard</p>\r\n  </div>\r\n  <div class=\"tiv-page-content\">\r\n    <h4>Just some content</h4>\r\n    <p>Required page</p>\r\n    <label for=\"selectPage\" class=\"required\" style=\"display:inline\">Page to disable:</label>\r\n    <select dojoAttachPoint=\"selectPage\" id=\"selectPage\">\r\n      <option value=\"5\">--- Select ---</option>\r\n      <option value=\"page5\">Page 5</option>\r\n      <option value=\"page6\">Page 6</option>\r\n    </select>\r\n  </div>\r\n</div>\r\n",
  title: "Page 1",
  required: true,
  
  allowNext: function()
  {
    var selectedIndex = this.selectPage.selectedIndex;
    if (selectedIndex == 0)
    {
      alert("please select a page");
      return false;
    }
    else
    {
      var pageClass = this.selectPage.options[selectedIndex].value;
      var aPageNode = dojo.query('.' + pageClass, this.wizard.domNode);
      var actualPage = dijit.getEnclosingWidget(aPageNode[0]);
      actualPage.setDisabled(true);
      actualPage.disableJumpBack();
      return true;
    }
  },
  
  AfterPageSelected: function()
  {
    // When jumping back keep finish button enabled if page 2 is enabled
    var page2 = dijit.getEnclosingWidget(dojo.query(".page2", this.wizard.domNode)[0]);
    if (page2 != null && page2.visited)
      this.wizard.enableFinishButton(true); 
    this.wizard.resetFinishLabel("Finish");
  },  
  
  reset: function()
  {
    dijit.getEnclosingWidget(dojo.query('.page5', this.wizard.domNode)[0]).setDisabled(false);
    dijit.getEnclosingWidget(dojo.query('.page6', this.wizard.domNode)[0]).setDisabled(false);
    this.selectPage.selectedIndex = 0;
  }  

});

});
