// wrapped by build app
define("ibm/tivoli/tip/dijit/tests/tivwizard_pages/TestPage10", ["dijit","dojo","dojox","dojo/require!ibm/tivoli/tip/dijit/TivPage"], function(dijit,dojo,dojox){
/*********************************************************** {COPYRIGHT-TOP} ***
* Licensed Materials - Property of IBM
* Tivoli Widget Library
*
* (C) Copyright IBM Corp. 2013.  All Rights Reserved.
*
* US Government Users Restricted Rights - Use, duplication, or
* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
************************************************************ {COPYRIGHT-END} **/
dojo.provide("ibm.tivoli.tip.dijit.tests.tivwizard_pages.TestPage10");

dojo.require("ibm.tivoli.tip.dijit.TivPage");

dojo.declare("ibm.tivoli.tip.dijit.tests.tivwizard_pages.TestPage10", [ibm.tivoli.tip.dijit.TivPage], 
{
  templateString:"<div class=\"wiz-confirm\">\r\n  <div class=\"tiv-page-header\">\r\n    <h2>Confirmation</h2>\r\n    <p>What happened or took place after hitting Finish button.</p>\r\n    <br />\r\n    <p>Buttons hidden and everything disabled</p>\r\n  </div>\r\n  <div class=\"tiv-page-content\" style=\"margin-left:1em;\">\r\n    <input type=\"checkbox\" dojoAttachPoint=\"_testHideButtons\" checked=\"true\" />Hide button area<br />\r\n    <input type=\"button\" dojoAttachPoint=\"_resetEverything\" value=\"Restart Wizard\" style=\"margin-top:1em\" />\r\n\t</div>\r\n</div>\r\n",
  title: "Confirmation",

  postCreate: function ()
  {
    console.log("TestPage10.postCreate");

    this.inherited(arguments);
    dojo.connect(this._testHideButtons, "onclick", this, this.hideButtons);
    dojo.connect(this._resetEverything, "onclick", this, this.doRestart);
  },

  AfterPageSelected: function ()
  {
    console.log("TestPage10.AfterPageSelected");

    this.wizard.disableJumpBack(this);
    this.wizard.hideAllButtons();
    this._testHideButtons.checked = true;
  },
  
  hideButtons: function(event)
  {
    if (this._testHideButtons.checked) 
      this.wizard.hideAllButtons();
    else 
      this.wizard.showAllButtons();    
  },
  
  doRestart: function()
  {
    this.wizard.restartWizard();
  }
});

});
