/*********************************************************** {COPYRIGHT-TOP} ***
* Licensed Materials - Property of IBM
* Tivoli Widget Library
*
* (C) Copyright IBM Corp. 2013.  All Rights Reserved.
*
* US Government Users Restricted Rights - Use, duplication, or
* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
************************************************************ {COPYRIGHT-END} **/
/******************************************************* {COPYRIGHT-TOP-OCO} ***
 * Licensed Materials - Property of IBM
 *
 * (C) Copyright IBM Corp. 2007 All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication, or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 ******************************************************* {COPYRIGHT-END-OCO} ***/
define("ibm/tivoli/tip/navwidget/nls/sv/resources", {      
   "SEARCH_TEXT":"Sök",
   "SAVE_TEXT":"Spara anpassningar",
   "PRINT_TEXT":"Skriv ut",
   "SELECT_TEXT":"Välj",
   "PAN_TEXT":"Panorera",
   "ZOOM_SELECT_TEXT":"Välj zoomning",
   "ZOOM_IN_TEXT":"Zooma in",
   "ZOOM_OUT_TEXT":"Zooma ut",
   "FIT_CONTENTS_TEXT":"Anpassa innehåll",
   "REFRESH_TEXT":"Uppdatera",
   "TOGGLE_LAYOUT_TEXT":"Växla layout",
   "TREE_LAYOUT":"Träd",
   "HIERARCHICAL_LAYOUT":"Hierarkisk",
   "FORCE_DIRECTED_LAYOUT":"Kraftriktat",
   "GRID_LAYOUT":"Rutnät",
   "SHORT_LINK_LAYOUT":"Kort länk",
   "LONG_LINK_LAYOUT":"Lång länk",
   "CUSTOM":"Anpassad",
   "SAVE":"Spara anpassningar",
   "CANCEL":"Avbryt",
   "RESTORE_DEFAULTS":"Återställ standardvärden",
   "LAYOUT_MODE":"Layoutläge:",
   "FLOW_DIRECTION":"Flödesriktning:",
   "LINK_STYLE":"Globalt länkformat:",
   "CONNECTOR_STYLE":"Förbindelseformat:",
   "GLOBAL_ALIGNMENT":"Global placering:",
   "LEVEL_ALIGNMENT":"Nivåplacering:",	
   "LEVEL_JUSTIFICATION":"Nivåjustering:",
   "LEVELING_STRATEGY":"Utjämningsstrategi:",
   "GLOBAL_HORIZONTAL_ALIGNMENT":"Global horisontal placering:",
   "GLOBAL_VERTICAL_ALIGNMENT":"Global vertikal placering:",
   "MAX_NUM_NODES_PER_ROW_COLUMN":"Maximalt antal noder per rad eller kolumn:",
   "PREFERRED_LINKS_LENGTH":"Önskad länklängd:",
   "LINK_STYLE":"Länkformat:",
   "MAX_ALLOWED_MOVE_PER_ITERATION":"Maximalt antal flyttningar per iteration:",
   "ALLOWED_NUMBER_OF_ITERATIONS":"Tillåtet antal iterationer:",
   "CONVERGENCE_THRESHOLD":"Konvergenströskel:",
   "GLOBAL_LINK_STYLE":"Globalt länkformat:",
   "GLOBAL_SELF_LINK_STYLE":"Globalt självlänksformat:",
   "GLOBAL_CONNECTOR_STYLE":"Globalt förbindelseformat:",
   "LINK_OFFSET":"Länkförskjutning:",
   "MIN_FINAL_SEGMENT_LENGTH":"Minimilängd slutsegment:",
   "VERTICAL_MIN_OFFSET":"Vertikal minimiförskjutning:",
   "HORIZONTAL_MIN_OFFSET":"Horisontal minimiförskjutning:",
   "ASPECT_RATIO":"Proportioner:",
   "ALGORITHM":"Algoritm:",
   "GENERAL":"Allmänt",
   "PROPERTIES":"Egenskaper",
   "OK":"OK",
   "TOPOLOGY_VIEW":"Topologivy",
   "RESOURCE_VIEW":"Resursvy",
   "RELATIONSHIP_VIEW":"Relationsvy",
   "LINK_VIEW":"Länkvy",
   "GET_ADOBE_FLASH_PLAYER":"Hämta Adobe Flash Player",
   "ADOBE_FLASH_PLAYER_MIN_VERSION":"10.1.0", 
   "ADOBE_FLASH_PLAYER_ENSURE_VERSION":"Om du vill se det här innehållet kontrollerar du att systemet uppfyller <a href='${sysReqLink}' target='FLASH_SYS_REQUIREMENTS'>systemkraven</a> och att Adobe&reg; Flash&reg; Player version ${version} eller senare är installerad.", //${sysReqLink} will contain a substituted URL, ${version} will contain substituted product version number (e.g., like 10.1.0) 
   "EMPTY_DATASET":"Ingen",
   "ITEM_REMOVED_MESSAGE":"Det här systemet har tagits bort från datauppsättningen.",
   "LINK_REMOVED_MESSAGE":"Den här länken har tagits bort från datauppsättningen.",
   "RELATIONSHIP_REMOVED_MESSAGE":"Den här relationen har tagits bort från datauppsättningen.",
   "ACTIONS":"Åtgärder",
   "PRINT_AS_BITMAP":"Skriv ut som bitmap:",	   
   "PAGE_COUNT":"Antal sidor på bredd eller höjd:",	 
   "PAGE_COUNT_MAX":"Maximalt antal utskrivna sidor:",	  
   "PAGE_MARGIN":"Sidmarginal:",
   "TYPE":"Typ",
   "SOURCEITEM":"Från",
   "TARGETITEM":"Till",
   "ITEM1":"Objekt 1",
   "ITEM2":"Objekt 2",
   "DATASET1":"Datauppsättning 1",
   "DATASET2":"Datauppsättning 2",
   "LOADING":"Läser in",
   "RESULTS_CLICK_TO_SELECT":"Resultat - Klicka för att välja",
   "RESULTS":"Resultat",
   "NO_RESULTS_FOUND":"Inga resultat hittades",
   "CENTER_IN_VIEW":"Centrera i vyn",
   "HIGHLIGHT":"Framhäv",
   "CLEAR_SEARCH":"Rensa sökning",
   "DEPTH":"Djup",
   "LAYOUT":"Layout",
   "ACTIONS":"Åtgärder",
   "SAVE_CANVAS_CONTEXT":"Spara anpassningar",
   "SAVE_CUSTOMIZATION_QUESTION":"Vill du spara alla anpassningar?",
   "TOGGLE_VIEW":"Växla vy",
   "ALTERNATING_RADIAL":"alternerande radie",
   "AUTOMATIC":"automatisk",
   "BORDER_CENTER":"centrerat i kant",
   "BOTTOM":"nederst",
   "CENTER":"mitten",
   "CENTERED":"centrerat",
   "DIRECT":"direkt",
   "EAST":"öst",
   "EVENLY_SPACED":"jämna avstånd",
   "FAST_MULTILEVEL":"snabb flernivå",
   "FIXED_OFFSET":"snabb förskjutning",
   "FREE":"fri",
   "HIGHER_LEVELS":"högre nivåer",
   "INCREMENTAL":"inkrementell",
   "LEFT":"vänster",
   "LEVEL":"nivå",
   "LOWER_LEVELS":"lägre nivåer",
   "MIXED":"blandade",
   "NO_RESHAPE":"ingen omformning",
   "NON_INCREMENTAL":"ingen inkrementell",
   "NORTH":"norr",
   "OPTIMAL":"optimal",
   "ORTHOGONAL":"rätvinklig",
   "POLYLINE":"bruten linje",
   "RADIAL":"radie",
   "RIGHT":"höger",
   "SEMI_OPTIMAL":"halvoptimal",
   "SOUTH":"söder",
   "SPREAD_OUT":"utspridda",
   "STRAIGHT":"raka",
   "THREE_BENDS_ORTHOGONAL":"tre vinkelräta krökar",
   "TILE_TO_COLUMNS":"stapla till kolumner",
   "TILE_TO_GRID_FIXED_HEIGHT":"stapla till fast rutnätshöjd",
   "TILE_TO_GRID_FIXED_WIDTH":"stapla till fast rutnätsbredd",
   "TILE_TO_ROWS":"stapla till rader",
   "TIP_LEAVES_OVER":"tippa över löv",
   "TIP_OVER_BOTH_SIDES":"tippa över båda sidor",
   "TIP_OVER_EAST_WEST":"tippa över öst väst",
   "TIP_OVER_WEST":"tippa över väst",
   "TIP_OVER":"tippa över",
   "TIP_ROOTS_AND_LEAVES_OVER":"tippa över rötter och löv",
   "TIP_ROOTS_OVER":"tippa över rötter",
   "TOP":"överst",
   "TWO_BENDS_ORTHOGONAL":"två vinkelräta krökar",
   "WEST":"väst",
   "EXPORT":"Exportera",
   "EXPORT_IMAGE_DIALOG_TITLE":"Exportera som bild",
   "EXPORT_IMAGE_DIALOG_QUESTION":"Vill du exportera diagrammet som en bild? Välj önskat format nedan.",
   "EXPORT_IMAGE_PNG_OPTION_LABEL":"${fileExtension}", //${fileExtension} will contain a file extension like PNG or JPG; creating a specific string with substitution in case we ever want to add more text to the radio button label
   "EXPORT_IMAGE_JPG_OPTION_LABEL":"${fileExtension}", //${fileExtension} will contain a file extension like PNG or JPG; creating a specific string with substitution in case we ever want to add more text to the radio button label
   "ADVANCED_SEARCH":"Avancerad sökning",
   "RESOURCES_COUNT": "Resurser: ${value2}", //$${value2} will contain a substituted number of items in a topology graph 
   "RELATIONSHIP_COUNT": "Relationer: ${value3}", //${value3} will contain a substituted number of relationships in a topology graph
   "FILTERED_COUNT": "Filtrerade: ${value4}", //${value4} will contain a substituted number of items in a filtered topology graph
   "SELECTED_COUNT": "Valda: ${value1}", //${value4} will contain a substituted number of selected items in a topology graph
   "ALL":"Alla",
   "PARENTHETICAL_ENTRY":"${label} (${parens})", //This is used to create labels followed by additional information in parentheses (e.g., "XXXX (YYYY)", "Demo Group (12)", "sys1 (Topology)", etc.)
   "CUSTOMIZE_LAYOUT":"Anpassa layout: ${value5}", //${value5} will contain a substituted name of the layout, (e.g., "Customize layout: UserTree_1") 
   "ERROR":"Fel",
   "PENDING":"Väntande",
   "CLOSE":"Stäng"
//65433: lv locale with test data for TVT needs to be disabled
//"lv": true,
});

