/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2012, 2013 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
define("ibm/usmi/dashboard/ResourceDashBoardPreload", [		
		"dojo/_base/declare", 'dojo/_base/lang', "dojo/topic", "dojo/i18n!./nls/DashbarResources"
	], function (declare, lang, topic, mri) {
	return declare([], {
	
        //resource bundle
        _resources : mri,
        
        // this class loads the titles ahead of time so user knows what is coming
		constructor : function (args) {
			lang.mixin(this, args);
			
			topic.publish("updateTitle", {
				view : this._resources.ResourceDashboard,
				loading : true
			});			
		}				
	});
});
