/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2012, 2013 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
define("ibm/usmi/dashboard/nls/de/DashbarResources", {
	//Dashbar Resources BEGIN
	
	// dashbar icon labels
	Chassis : "Gehäuse",
	HostAndVs : "Hosts und virtuelle Server",
	Network : "Netz",
	Storage : "Speicher",
	Favorites : "Favoriten",
	AllSystems : "Alle Systeme",
	
	// Labels for Tree Toppers Links
	AllVirtualServers : "Alle virtuellen Server",
	AllChasis : "Alle Gehäuse",
	AllComputeNodes : "Alle Rechenknoten",
	AllStoragePools : "Alle Speicherpools",
	AllStorageNodes : "Alle Speicherknoten",
	AllLogicalNetworks: "Alle logischen Netze",
	AllVlans : "Alle VLANs",
	AllSubnets : "Alle Teilnetze",
	AllSwitches : "Alle Switches",
	LogicalNetworks: "Logische Netze",
	Vlans : "VLANs",
	Subnets : "Teilnetze",
	Switches : "Switches",
	
	// Descriptions of dashbar icons
	ChassisDescription : "Enthält Gehäuse",
	HostAndVsDescription : "Enthält virtuelle Server und Hosts",	
	NetworkDescription : "Enthält alle Netzsysteme.",	
	StorageDescription : "Enthält alle Speichersysteme",	
	FavoritesDescription : "Enthält bevorzugte Elemente",	
	AllSystemsDescription : "Enthält alle Betriebssysteme, die verwaltet werden können, einschließlich Server, Gehäuse, Betriebssysteme, Switches, Blades und Speichersysteme",	
	
	// Group Health Tips
	RecentEvents : "Kürzliche Ereignisse:",
	NoRecentEvents : "Keine kürzlichen Ereignisse",
	RecentAlerts : "Kürzliche Alerts:",
	NoRecentAlerts : "Keine kürzlichen Alerts",
	Source : "Quelle",
	DateAndTime : "Datum und Uhrzeit",
	Event : "Ereignis",
	
	// General Dashbar
	ResourceDashboard : "Ressourcenstatusübersicht",
	Loading : "Ladevorgang läuft..."
	//Dashboard Resources end
});

