/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2012, 2013 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
define("ibm/usmi/dashboard/nls/ja/DashbarResources", {
	//Dashbar Resources BEGIN
	
	// dashbar icon labels
	Chassis : "シャーシ",
	HostAndVs : "ホストおよび VS",
	Network : "ネットワーク",
	Storage : "ストレージ",
	Favorites : "お気に入り",
	AllSystems : "すべてのシステム",
	
	// Labels for Tree Toppers Links
	AllVirtualServers : "すべての仮想サーバー",
	AllChasis : "すべてのシャーシ",
	AllComputeNodes : "すべての計算ノード",
	AllStoragePools : "すべてのストレージ・プール",
	AllStorageNodes : "すべてのストレージ・ノード",
	AllLogicalNetworks: "すべての論理ネットワーク",
	AllVlans : "すべての VLAN",
	AllSubnets : "すべてのサブネット",
	AllSwitches : "すべてのスイッチ",
	LogicalNetworks: "論理ネットワーク",
	Vlans : "VLAN",
	Subnets : "サブネット",
	Switches : "スイッチ",
	
	// Descriptions of dashbar icons
	ChassisDescription : "シャーシが含まれます",
	HostAndVsDescription : "仮想サーバーとホストが含まれます",	
	NetworkDescription : "すべてのネットワーク・システムが含まれます",	
	StorageDescription : "すべてのストレージ・システムが含まれます",	
	FavoritesDescription : "お気に入りの項目が含まれます",	
	AllSystemsDescription : "サーバー、シャーシ、オペレーティング・システム、スイッチ、ブレード、およびストレージ・システムなどの、管理可能なすべてのシステムが含まれます",	
	
	// Group Health Tips
	RecentEvents : "最新イベント:",
	NoRecentEvents : "最新イベントなし",
	RecentAlerts : "最新アラート:",
	NoRecentAlerts : "最新アラートなし",
	Source : "ソース",
	DateAndTime : "日付と時刻",
	Event : "イベント",
	
	// General Dashbar
	ResourceDashboard : "リソース・ダッシュボード",
	Loading : "ロード中..."
	//Dashboard Resources end
});

