/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2012, 2013 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
define("ibm/usmi/dashboard/nls/ko/DashbarResources", {
	//Dashbar Resources BEGIN
	
	// dashbar icon labels
	Chassis : "새시",
	HostAndVs : "호스트와 VS",
	Network : "네트워크",
	Storage : "스토리지",
	Favorites : "즐겨찾기",
	AllSystems : "모든 시스템",
	
	// Labels for Tree Toppers Links
	AllVirtualServers : "모든 가상 서버",
	AllChasis : "모든 새시",
	AllComputeNodes : "모든 계산 노드",
	AllStoragePools : "모든 스토리지 풀",
	AllStorageNodes : "모든 스토리지 노드",
	AllLogicalNetworks: "모든 논리 네트워크",
	AllVlans : "모든 VLAN",
	AllSubnets : "모든 서브넷",
	AllSwitches : "모든 스위치",
	LogicalNetworks: "논리 네트워크",
	Vlans : "VLAN",
	Subnets : "서브넷",
	Switches : "스위치",
	
	// Descriptions of dashbar icons
	ChassisDescription : "새시 포함",
	HostAndVsDescription : "가상 서버와 호스트 포함",	
	NetworkDescription : "모든 네트워크 시스템 포함",	
	StorageDescription : "모든 스토리지 시스템 포함",	
	FavoritesDescription : "즐겨찾기 항목 포함",	
	AllSystemsDescription : "서버, 새시, 운영 체제, 스위치, Blade 및 스토리지 시스템 등을 관리할 수 있는 모든 시스템 포함",	
	
	// Group Health Tips
	RecentEvents : "최근 이벤트:",
	NoRecentEvents : "최근 이벤트 없음",
	RecentAlerts : "최근 경고:",
	NoRecentAlerts : "최근 경고 없음",
	Source : "소스",
	DateAndTime : "날짜 및 시간",
	Event : "이벤트",
	
	// General Dashbar
	ResourceDashboard : "자원 대시보드",
	Loading : "로드 중..."
	//Dashboard Resources end
});

