/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2012, 2013 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
define("ibm/usmi/nls/en/defaultTaskResources", {	

    CONFIRMMSG : "Are you sure you want to remove '${1}' from System Director?",
    TYPE_NAME_MSG : "Type a new name for '${1}':",
	DISPLAYNAME : "Display Name: ",
	RENAME : "Rename",
	DELETE : "Delete",
	BLANK_NAME_MSG : "Please enter a valid name. The system name can not be blank.",
	ALREADY_NAME_MSG : "Please enter a new name. The resource is already named: '${1}'",
	NAME_EXIST_MSG : "Unable to rename the resource to '${1}'.  A duplicate name was found.",
    RenameFailedNotFoundMsg : {
        id : "",
        severity : "error",
        title : "Unable to rename the resource '{0}'.  The resource was not was found.",
        desc : "The resource was removed while rename was in progress."
    },
	confirmationText : "Submitting a service request notifies the service provider, and you may be contacted to provide additional information to resolve the problem.",
	textNode : "*Problem Description (100 character limit):",
	promptMessage : "Please provide a short description of the error.",
	longtextNode : "*Problem details (500 character limit):",
	longPromptMessage : "Please provide a more detailed description of the problem. This information can not be empty.",
	SUBMIT : "Submit",
	CANCEL : "Cancel"

});
