/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2012, 2013 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
define("ibm/usmi/nls/pt-br/frameworkResources", {
	//Finder Resources BEGIN
	FinderInitialText : "Localizar um Sistema ou Tarefa",
	NoTasksFound : "(nenhuma tarefa localizada)",
	NoGroupsFound : "(nenhum grupo localizado)",
	NoResourcesFound : "(nenhum recurso localizado)",
	Close : "Fechar diálogo.",
	RefreshCache : "Atualizado {0} {1} atrás. Atualize para incluir os recursos inclusos/modificados recentemente nos resultados.",
	Minutes : "minuto(s)",
	Hours : "hora(s)",
	Days : "dia(s)",
	Searching0 : "Procurando.",
	Searching1 : "Procurando..",
	Searching2 : "Procurando...",
	FinderRefreshing : "Atualizando...",
	MoreTasks : "Refine seus termos de procura para obter mais resultados.",
	MoreResources : "Mostrar todos.",
	MoreGroups : "Refine seus termos de procura para obter mais resultados.",
	FinderTaskMenu : "Tarefas",
	FinderResourceMenu : "Recursos",
	FinderGroupMenu : "Grupos",
	Chassis : "Chassi",
	Resources : "Recursos",
	FinderTooltipHelp : "Use este localizador sequencial para procurar todas as tarefas e os recursos gerenciados.",
	//tooltip
	FinderTooltipClickResources : "Clique neste recurso para visualizar mais detalhes",
	FinderTooltipClickTask : "Clicar aqui abrirá uma nova janela do navegador e ativará esta tarefa.",
	FinderTooltipClickJob : "Clique aqui para planejar esta tarefa.",
	FinderTooltipClickUrl : "Clicar aqui abrirá uma nova janela do navegador e carregará esta URL.",
	FinderTooltipClickPage : "Clique aqui para abrir esta página.",
	FinderTooltipClickDialog : "Clique aqui para abrir este diálogo.",
	FinderTooltipClickGroup : "Clique neste grupo para visualizar seus membros",
	FinderTooltipEntryType : "{0}: ",
	FinderTooltipCategory : "Categoria: ",
	FinderTooltipExternalTask : "Tarefa Externa: ",
	FinderTooltipJob : "Tarefa: ",
	FinderTooltipUrl : "URL: ",
	FinderTooltipPage : "Página: ",
	FinderTooltipDialog : "Diálogo: ",
	FinderTooltipTaskDescription : "Descrição: ",
	SelectedResources : "{0} recursos selecionados:",
	SelectedResource : "'{0}':",
	SelectedResourceText : "Tarefas Contextuais para {0}",
	GlobalTasksText : "Tarefas Globais: ",

	//Finder Resources END

	// Mega Menu Resources BEGIN
	Home : "Início",
	Dashboards : "Painéis",
	GettingStarted : "Guia Inicial",
	InitialSetup : "Configuração Inicial",
	FlexExplorer : "Flex Explorer",
	QuickStartGuides : "Guias de Início Rápido",
	SummaryPages : "Páginas de Resumo",
	VMControl : "VMControl",
	StorageControl : "Storage Control",
	NetworkControl : "Network Control",
	ServiceAndSupport : "Serviço e Suporte",
	CheckForUpdates : "IBM&reg; FSM - Verificar Atualizações",
	Systems : "Sistemas",
	SystemsMenuHeading : "Sistemas",
	AllGroups : "Todos os Grupos",
	AllOSs : "Todos os SOs",
	PowerSystemsManagement : "Power Systems Management",
	Configuration : "Configuração",
	Patterns : "Modelos",
	Firmware : "Firmware",
	ShowUpdates : "Mostrar Atualizações",
	Discover : "Descobrir",
	DeployComputeNodeImages : "Implementar Imagens do Servidor",
	DeployVirtualAppliance : "Implementar Dispositivo Virtual",
	Monitor : "Monitor",
	Status : "Status",
	ActiveStatus : "Status Ativo",
	EventHistory : "Log de Evento",
	ServiceProblems : "Problemas do Serviço",
	Monitoring : "Monitorando",
	Monitors : "Monitores",
	Thresholds : "Limites",
	Compliance : "Conformidade",
	MonitoredSystems : "Sistemas Monitorados",
	Policies : "Políticas",
	Automation : "Automação",
	Plans : "Planejamentos",
	Actions : "Ações",
	EventFilters : "Filtros de Eventos",
	CommandDefinitions : "Definições de Comandos",
	Jobs : "Tarefas",
	ActiveAndScheduledJobs : "Tarefas Ativas e Planejadas",
	CreateAutomationPlan : "Criar Plano de Automação",
	Security : "Segurança",
	Permissions : "Permissões",
	UsersAndGroups : "Usuários e Grupos",
	Roles : "Funções",
	Credentials : "Credenciais",
	Access : "Acesso",
	SystemsWithNoAccess : "Sistemas sem Acesso",
	Auditing : "Auditoria",
	AuditLog : "Log de Auditoria",
	ChangePassword : "Alterar Senha",
	CreateUser : "Criar Usuário",
	Utilities : "Utilitários",
	Settings : "Configurações",
	AutoRename : "Renomear Automaticamente",
	ServiceandSupport : "Serviço e Suporte",
	ServerAuditing : "Auditoria de Servidor",
	Administration : "Web",
	FSMSettings : "Configurações do IBM&reg; FSM",
	Plugins : "Plug-ins",
	ApplicationExtensions : "Aplicativo",
	UserPreferences : "Preferências do Usuário",
	EventLog : "Log de Evento",
	ManagementServer : "Servidor de Gerenciamento",
	NetworkManagement : "Gerenciamento de Redes",
	BackupAppliance : "Back Up do IBM&reg; FSM",
	HelpMenu : "Ajuda",
	IntroductionToIBMFlexExplorer : "Introdução ao IBM&reg; FSM Explorer",
	FindingTasksInIBMFlexExplorer : "Localizando tarefas no IBM&reg; FSM Explorer",
	Help : "Ajuda",
	About : "Sobre",
	IBMSupport : "Suporte IBM&reg;",
	LiCTooltip : "Abre em {0}",
	Signout : "Desconectar",

	//General dialog labels
	OK : "OK",
	CANCEL : "Cancelar",
	SUBMIT : "Enviar",
        YES    : "Sim",
        NO     : "Não",
	
	//Popup blocker warning
	PopupBlockerWarning : "O bloqueador de pop-up está ativado para este site. Desative o bloqueador de pop-up do navegador para este site e tente novamente.",
	
	//ISC launched in tab pages warning
	LaunchedInTabs1 : "A tarefa {0} ativada encontra-se na guia do navegador ocultada por outras guias.",
	LaunchedInTabs2 : "Para trabalhar com a tarefa, selecione ou movimente a guia em sua própria janela. Para evitar essa situação no futuro, use uma janela separada do navegador para o {0}.",
	InvalidUser : "Usuário {0} é desconhecido. Se o servidor estiver iniciando, tente novamente em alguns minutos.",
		
	UserNotAuthorized : "O usuário não está autorizado a acessar o conteúdo dessa página.",
	UserNotAuthorizedDescription: "Assegure-se de que uma função de usuário com permissões adequadas seja designada ao usuário.  No mínimo, as permissões do Group Read e do Resource Explorer são necessárias para visualizar as páginas.",
	
	HybridDataset: "{0} itens estão no grupo. {1} foram filtrados, mas apenas o primeiro {2} será mostrado.",
	HybridDatasetDescription: "Utilize a procura e o filtro para refinar seus resultados.",
	HybridSummaryCounts: "Total: {0}  Filtrado: {1}  Disponível: {2}  Selecionado: {3}"
});

